indexing
   description: "gdk color"
   status: "You may be able to redistribute and/or modify this program.% 
          % See the README for details."
   copyright: "Copyright (C) 1999 Paul C. Janzen"
   author: "Paul C. Janzen"
   id: "$Id: gdk_color.e,v 1.5 1999/01/18 19:54:55 pcj Exp $"

class GDK_COLOR
inherit
   GDK_OBJECT
creation
   make_default, 
   create

feature {ANY} -- Queries

   red : INTEGER is
      require
	 gdkobject /= default_pointer
      do
	 Result := ext_color_red ( gdkobject )
      end
   green : INTEGER is
      require
	 gdkobject /= default_pointer
      do
	 Result := ext_color_green ( gdkobject )
      end
   blue : INTEGER is
      require
	 gdkobject /= default_pointer
      do
	 Result := ext_color_blue ( gdkobject )
      end
   
feature {NONE} -- Private

   ext_color_red ( color : POINTER ) : INTEGER is
      external "C"
      end
   ext_color_green ( color : POINTER ) : INTEGER is
      external "C"
      end
   ext_color_blue ( color : POINTER ) : INTEGER is
      external "C"
      end
   
invariant
end
