indexing
   description: "gtk alignment"
   status: "You may be able to redistribute and/or modify this program.% 
          % See the README for details."
   copyright: "Copyright (C) 1999 Paul C. Janzen"
   author: "Paul C. Janzen and Francois Pennaneach"
   id: "$Id: gtk_alignment.e,v 1.4 1999/01/18 19:54:56 pcj Exp $"

class GTK_ALIGNMENT
inherit
   GTK_BIN
creation
   make, 
   create
feature -- Creation
   make ( xalign, yalign, xscale, yscale : REAL ) is
      -- Creation and initialization
      do
         gtkobject := ext_alignment_new ( xalign, yalign, xscale, yscale )
      end

feature {ANY} -- Queries
feature {ANY} -- Commands
   set ( xalign, yalign, xscale, yscale : REAL ) is
      do
         ext_alignment_set ( gtkobject, xalign, yalign, xscale, yscale )
      end

feature {NONE} -- Private

   ext_alignment_new ( xalign, yalign, xscale, yscale : REAL ) : POINTER is
      external "C"
      alias "gtk_alignment_new"
      end

   ext_alignment_set ( alignment : POINTER ; xalign, yalign, xscale, yscale : REAL ) is
      external "C"
      alias "gtk_alignment_set"
      end
invariant
end -- GTK_ALIGNMENT

