indexing
   description: "gtk arrow"
   status: "You may be able to redistribute and/or modify this program.% 
          % See the README for details."
   copyright: "Copyright (C) 1999 Paul C. Janzen"
   author: "Paul C. Janzen and Francois Pennaneach"
   id: "$Id: gtk_arrow.e,v 1.4 1999/01/18 19:54:56 pcj Exp $"

class GTK_ARROW
inherit
   GTK_MISC
creation
   make, 
   create
feature -- Creation

   make(arrow_type : GTK_ARROW_TYPE; shadow_type : GTK_SHADOW_TYPE) is
      -- Creation and initialization
      do
	 gtkobject := ext_new(arrow_type.value, shadow_type.value)
      end -- make_arrow

   set(arrow_type : GTK_ARROW_TYPE; shadow_type : GTK_SHADOW_TYPE) is
      do
	 ext_set(gtkobject, arrow_type.value, shadow_type.value)
      end -- set
   
feature {ANY} -- Queries
feature {ANY} -- Commands
feature {NONE} -- Private

   ext_new(arrow_type, shadow_type : INTEGER) : POINTER is
      external "C"
      alias "gtk_arrow_new"
      end -- ext_new

   ext_set(c_object : POINTER; arrow_type, shadow_type: INTEGER) is
      external "C"
      alias "gtk_arrow_set"
      end -- set_new

invariant
end -- GTK_ARROW

