indexing
   description: "gtk command clist select"
   status: "You may be able to redistribute and/or modify this program.% 
          % See the README for details."
   copyright: "Copyright (C) 1999 Paul C. Janzen"
   author: "Paul C. Janzen"
   id: "$Id: gtk_command_clist_select.e,v 1.5 1999/01/18 19:54:56 pcj Exp $"

class GTK_COMMAND_CLIST_SELECT
inherit 
   GTK_COMMAND_TYPE

feature {ANY}

   execute, execute_clist_select ( row, col : INTEGER ; 
				   event : GDK_EVENT ; data : ANY ) is
      deferred
      end

feature {NONE}

   command_execution ( data : ANY ) is 
      require
	 num_params = 3 
      local 
	 factory : GDK_EVENT_FACTORY
	 row, col : INTEGER
      do
	 !!factory
	 row := shift_int
	 col := shift_int
	 execute ( row, col,
		   factory.create_gdk_event(shift_pointer), 
		   data)
      end
invariant
end 

