indexing
   description: "gtk command event"
   status: "You may be able to redistribute and/or modify this program.% 
          % See the README for details."
   copyright: "Copyright (C) 1999 Paul C. Janzen"
   author: "Paul C. Janzen"
   id: "$Id: gtk_command_event.e,v 1.4 1999/01/18 19:54:56 pcj Exp $"

deferred class GTK_COMMAND_EVENT
inherit
   GTK_COMMAND_TYPE
feature {ANY} -- Commands

   execute, execute_event( event : GDK_EVENT ; data : ANY ) : BOOLEAN is
      deferred
      end -- execute

feature {NONE} -- Private

   command_execution ( data : ANY ) is 
      require 
	 num_params = 1
	 -- argument_type is gdk_event
	 -- return_value_type is boolean
      local
	 p : POINTER
	 retval : BOOLEAN
	 factory : GDK_EVENT_FACTORY
      do
	 !!factory
	 p := shift_pointer 
	 retval := execute(factory.create_gdk_event(p), data)
	 set_return_value_boolean( retval )
      end

invariant
end 
