indexing
   description: "gtk dialog"
   status: "You may be able to redistribute and/or modify this program.% 
          % See the README for details."
   copyright: "Copyright (C) 1999 Paul C. Janzen"
   author: "Paul C. Janzen and Francois Pennaneach"
   id: "$Id: gtk_dialog.e,v 1.4 1999/01/18 19:54:57 pcj Exp $"

class GTK_DIALOG
inherit
   GTK_WINDOW
      redefine
	 make
      end;
creation
   make,
   create
feature -- Creation
   make is
      -- Creation and initialization
      do
	 gtkobject := ext_dialog_new
      end -- make

   vbox : GTK_VBOX is
      do
	 !!Result.create(ext_vbox(gtkobject))
      end -- vbox

   action_area : GTK_HBOX is
      do
	 !!Result.create(ext_action_area(gtkobject))
      end -- action_area
   
feature {ANY} -- Queries
feature {ANY} -- Commands
feature {NONE} -- Private
   ext_dialog_new : POINTER is
      external "C"
      alias "gtk_dialog_new"
      end -- ext_dialog_new

   ext_vbox (p : POINTER) : POINTER is
      external "C"
      alias "ext_dialog_vbox"
      end

   ext_action_area (p : POINTER) : POINTER is
      external "C"
      alias "ext_dialog_action_area"
      end

invariant
end -- GTK_DIALOG

