indexing
   description: "gtk gamma curve"
   status: "You may be able to redistribute and/or modify this program.% 
          % See the README for details."
   copyright: "Copyright (C) 1999 Paul C. Janzen"
   author: "Paul C. Janzen"
   id: "$Id: gtk_gamma_curve.e,v 1.4 1999/01/18 19:54:57 pcj Exp $"

class GTK_GAMMA_CURVE
inherit 
   GTK_VBOX
      rename
	 make as vbox_make
      end
creation
   make_gamma_curve, create
feature -- Creation
   make_gamma_curve is
      do
         gtkobject := ext_gamma_curve_new
	 !!table.create(ext_gamma_curve_table(gtkobject))
	 !!curve.create(ext_gamma_curve_curve(gtkobject))
	 !!spline.create(ext_gamma_curve_spline(gtkobject))
	 !!linear.create(ext_gamma_curve_linear(gtkobject))
	 !!free.create(ext_gamma_curve_free(gtkobject))
	 !!gamma.create(ext_gamma_curve_gamma(gtkobject))
	 !!reset.create(ext_gamma_curve_reset(gtkobject))
      end

   table : GTK_TABLE
   curve : GTK_CURVE
   spline, linear, free, gamma, reset : GTK_BUTTON

feature {NONE} -- Private

   ext_gamma_curve_new  : POINTER is
      external "C"
      alias "gtk_gamma_curve_new"
      end

   ext_gamma_curve_table ( p : POINTER ) : POINTER is
      external "C"
      end
   ext_gamma_curve_curve ( p : POINTER ) : POINTER is
      external "C"
      end
   ext_gamma_curve_spline ( p : POINTER ) : POINTER is
      external "C"
      end
   ext_gamma_curve_linear ( p : POINTER ) : POINTER is
      external "C"
      end
   ext_gamma_curve_free ( p : POINTER ) : POINTER is
      external "C"
      end
   ext_gamma_curve_gamma ( p : POINTER ) : POINTER is
      external "C"
      end
   ext_gamma_curve_reset ( p : POINTER ) : POINTER is
      external "C"
      end

invariant
end
