indexing
   description: "gtk hbutton box"
   status: "You may be able to redistribute and/or modify this program.% 
          % See the README for details."
   copyright: "Copyright (C) 1999 Paul C. Janzen"
   author: "Paul C. Janzen and Francois Pennaneach"
   id: "$Id: gtk_hbutton_box.e,v 1.6 1999/01/18 19:54:57 pcj Exp $"

class GTK_HBUTTON_BOX
inherit
   GTK_BUTTON_BOX
creation
   make, create
feature -- Creation
   make is
      -- Creation and initialization
      do
	 gtkobject := ext_hbutton_box_new
      end -- make
feature {ANY} -- Queries

   get_spacing_default : INTEGER is
      do
	 Result := ext_get_spacing_default
      end -- spacing_default

   get_layout_default : GTK_BUTTON_BOX_STYLE is
      do
	 !!Result.make(ext_get_layout_default)
      end -- layout_default

feature {ANY} -- Commands
   set_spacing_default(spacing : INTEGER) is
      do
	 ext_set_spacing_default(spacing)
      end -- set_spacing_default

   set_layout_default(layout : GTK_BUTTON_BOX_STYLE) is
      do
	 ext_set_layout_default(layout.value)
      end -- set_layout_default

feature {NONE} -- Private
   ext_hbutton_box_new : POINTER is
      external "C"
      alias "gtk_hbutton_box_new"
      end -- ext_hbutton_box_new

   ext_get_spacing_default : INTEGER is
      external " C"
      alias "gtk_hbutton_box_get_spacing_default"
      end -- ext_get_spaing_default

   ext_get_layout_default : INTEGER is
      external "C"
      alias "gtk_hbutton_box_get_layout_default"
      end -- ext_get_layout_default

   ext_set_spacing_default(spacing : INTEGER) is
      external "C"
      alias "gtk_hbutton_box_set_spacing_default"
      end -- ext_set_spacing_default

   ext_set_layout_default(layout : INTEGER) is
      external "C"
      alias "gtk_hbutton_box_set_layout_default"
      end -- ext_set_layout_default
invariant
end -- GTK_HBUTTON_BOX

