indexing
   description: "gtk hseparator"
   status: "You may be able to redistribute and/or modify this program.% 
          % See the README for details."
   copyright: "Copyright (C) 1999 Paul C. Janzen"
   author: "Paul C. Janzen and Francois Pennaneach"
   id: "$Id: gtk_hseparator.e,v 1.4 1999/01/18 19:54:57 pcj Exp $"

class GTK_HSEPARATOR
inherit
   GTK_SEPARATOR
creation
   make,
   create
feature -- Creation
   make is
      -- Creation and initialization
      do
	 gtkobject := ext_hseparator_new
      end -- make
feature {ANY} -- Queries
feature {ANY} -- Commands
   type : INTEGER is
      do
	 Result := ext_hseparator_get_type(gtkobject)
      end -- type

feature {NONE} -- Private
   ext_hseparator_new : POINTER is
      external "C"
      alias "gtk_hseparator_new"
      end -- ext_hseparator_new

   ext_hseparator_get_type(c_object : POINTER) : INTEGER is
      external "C"
      alias "gtk_hseparator_get_type"
      end -- ext_hseparator_get_type
invariant
end -- GTK_HSEPARATOR

