indexing
   description: "gtk input dialog"
   status: "You may be able to redistribute and/or modify this program.% 
          % See the README for details."
   copyright: "Copyright (C) 1999 Paul C. Janzen"
   author: "Paul C. Janzen"
   id: "$Id: gtk_input_dialog.e,v 1.6 1999/01/18 19:54:58 pcj Exp $"

class GTK_INPUT_DIALOG
inherit 
   GTK_DIALOG
   redefine 
      make
      end
creation
   make, create
feature -- Creation
   make is
      do
	 gtkobject := ext_input_dialog_new

	 !!axis_list.create(ext_input_dialog_axis_list(gtkobject))
	 !!axis_listbox.create(ext_input_dialog_axis_listbox(gtkobject))
	 !!mode_optionmenu.create(ext_input_dialog_mode_optionmenu(gtkobject))
	 !!close_button.create(ext_input_dialog_close_button(gtkobject))
	 !!save_button.create(ext_input_dialog_save_button(gtkobject))
	 current_device := ext_input_dialog_current_device(gtkobject)
	 
      end -- make

feature {ANY} 
   axis_list : GTK_TABLE
   axis_listbox : GTK_SCROLLED_WINDOW 
   mode_optionmenu : GTK_OPTION_MENU
   close_button, save_button : GTK_BUTTON
   current_device : INTEGER 
   keys_list : GTK_TABLE
   keys_listbox : GTK_SCROLLED_WINDOW

feature {NONE} -- Private

   ext_input_dialog_new : POINTER is
      external "C"
      alias "gtk_input_dialog_new"
      end

   ext_input_dialog_axis_list(p : POINTER) : POINTER is
      external "C"
      end
   ext_input_dialog_axis_listbox(p : POINTER) : POINTER is
      external "C"
      end
   ext_input_dialog_mode_optionmenu(p : POINTER) : POINTER is
      external "C"
      end
   ext_input_dialog_close_button(p : POINTER) : POINTER is
      external "C"
      end
   ext_input_dialog_save_button(p : POINTER) : POINTER is
      external "C"
      end
   ext_input_dialog_current_device(p : POINTER) : INTEGER is
      external "C"
      end
   ext_input_dialog_keys_list(p : POINTER) : POINTER is
      external "C"
      end
   ext_input_dialog_keys_listbox(p : POINTER) : POINTER is
      external "C"
      end

invariant
end
