indexing
   description: "gtk notebook page"
   status: "You may be able to redistribute and/or modify this program.% 
          % See the README for details."
   copyright: "Copyright (C) 1999 Paul C. Janzen"
   author: "Paul C. Janzen"
   id: "$Id: gtk_notebook_page.e,v 1.5 1999/01/18 19:54:58 pcj Exp $"

class GTK_NOTEBOOK_PAGE
creation
   create
feature -- Creation
   create ( p : POINTER ) is 
      do
	 !!child.create(ext_notebook_page_child(p))
	 !!tab_label.create(ext_notebook_page_tab_label(p))
	 !!menu_label.create(ext_notebook_page_menu_label(p))
	 default_menu := ext_notebook_page_default_menu(p)
	 default_tab := ext_notebook_page_default_tab(p)
	 gtkobject := p
      end
      
feature {ANY} -- Queries

   child : GTK_WIDGET
   tab_label : GTK_WIDGET
   menu_label : GTK_WIDGET
   default_menu, default_tab : BOOLEAN 

   to_external : POINTER is 
      do
	 Result := gtkobject
      end

feature {NONE}

   gtkobject : POINTER

   ext_notebook_page_child(p: POINTER) : POINTER is
      external "C"
      end

   ext_notebook_page_tab_label(p: POINTER) : POINTER is
      external "C"
      end

   ext_notebook_page_menu_label(p: POINTER) : POINTER is
      external "C"
      end

   ext_notebook_page_default_menu (p: POINTER) : BOOLEAN is
      external "C"
      end

   ext_notebook_page_default_tab (p: POINTER) : BOOLEAN is
      external "C"
      end

end 

