indexing
   description: "gtk option menu"
   status: "You may be able to redistribute and/or modify this program.% 
          % See the README for details."
   copyright: "Copyright (C) 1999 Paul C. Janzen"
   author: "Paul C. Janzen and Francois Pennaneach"
   id: "$Id: gtk_option_menu.e,v 1.5 1999/01/18 19:54:58 pcj Exp $"

class GTK_OPTION_MENU
inherit
   GTK_BUTTON
      redefine
	 make
      end;
creation
   make,
   create
feature -- Creation
   make is
      -- Creation and initialization
      do
	 gtkobject := ext_option_menu_new
      end -- make

feature {ANY} -- Queries
   get_menu : GTK_WIDGET is
      do
	 print("optionmenu:get_menu not yet implemented%N")
      end -- get_menu

feature {ANY} -- Commands

   remove_menu is
      do
	 ext_remove_menu(gtkobject)
      end -- remove_menu

   set_history(index : INTEGER) is
      do
	 ext_set_history(gtkobject, index)
      end -- set_history

   set_menu ( menu : GTK_WIDGET ) is
      do
         ext_option_menu_set_menu ( gtkobject, menu.to_external )
      end

feature {NONE} -- Private
   ext_option_menu_new : POINTER is
      external "C"
      alias "gtk_option_menu_new"
      end -- ext_option_menu_new

   ext_remove_menu(c_object : POINTER) is
      external "C"
      alias "gtk_option_menu_remove_menu"
      end -- ext_remove_menu

   ext_set_history(c_object : POINTER; index : INTEGER) is
      external "C"
      alias "gtk_option_menu_set_history"
      end -- ext_set_history

   ext_option_menu_set_menu ( option_menu, menu : POINTER ) is
      external "C"
      alias "gtk_option_menu_set_menu"
      end

feature {NONE} -- Private
invariant
end -- GTK_OPTION_MENU

