indexing
   description: "gtk paned"
   status: "You may be able to redistribute and/or modify this program.% 
          % See the README for details."
   copyright: "Copyright (C) 1999 Paul C. Janzen"
   author: "Paul C. Janzen and Francois Pennaneach"
   id: "$Id: gtk_paned.e,v 1.7 1999/01/18 19:54:58 pcj Exp $"

-- missing: compute_position
class GTK_PANED
inherit GTK_CONTAINER
creation create
feature -- Creation

   add1 ( child : GTK_WIDGET ) is
      do
         ext_paned_add1 ( gtkobject, child.to_external )
      end

   add2 ( child : GTK_WIDGET ) is
      do
         ext_paned_add2 ( gtkobject, child.to_external )
      end

   pack1 (child : GTK_WIDGET ; resize, shrink : BOOLEAN) is
      do
	 ext_paned_pack1(gtkobject, child.to_external, resize, shrink) 
      end

   pack2 (child : GTK_WIDGET ; resize, shrink : BOOLEAN) is
      do
	 ext_paned_pack2(gtkobject, child.to_external, resize, shrink) 
      end

   set_position (position : INTEGER) is
      do
	 ext_paned_set_position(gtkobject, position)
      end

   set_gutter_size ( size : INTEGER ) is
      do
         ext_paned_set_gutter_size ( gtkobject, size )
      end

   set_handle_size ( size : INTEGER ) is
      do
         ext_paned_set_handle_size ( gtkobject, size )
      end

feature {NONE} -- Private

   ext_paned_add1 ( paned, child : POINTER ) is
      external "C"
      alias "gtk_paned_add1"
      end

   ext_paned_add2 ( paned, child : POINTER ) is
      external "C"
      alias "gtk_paned_add2"
      end
   
   ext_paned_pack1 (paned, child : POINTER ; resize, shrink : BOOLEAN ) is
      external "C"
      alias "gtk_paned_pack1"
      end

   ext_paned_pack2 (paned, child : POINTER ; resize, shrink : BOOLEAN ) is
      external "C"
      alias "gtk_paned_pack2"
      end

   ext_paned_set_position(paned : POINTER ; size : INTEGER) is
      external "C"
      alias "gtk_paned_set_position"
      end
   
   ext_paned_set_gutter_size ( paned : POINTER ; size : INTEGER ) is
      external "C"
      alias "gtk_paned_set_gutter_size"
      end

   ext_paned_set_handle_size ( paned : POINTER ; size : INTEGER ) is
      external "C"
      alias "gtk_paned_set_handle_size"
      end

invariant
end -- GTK_PANED

