indexing
   description: "gtk selection data"
   status: "You may be able to redistribute and/or modify this program.% 
          % See the README for details."
   copyright: "Copyright (C) 1999 Paul C. Janzen"
   author: "Paul C. Janzen"
   id: "$Id: gtk_selection_data.e,v 1.6 1999/01/18 19:54:59 pcj Exp $"

class GTK_SELECTION_DATA
creation
   create 	 
feature -- Creation
   create ( p : POINTER ) is
      do
	 !!selection.make( ext_selection_data_selection(p) )
	 !!target.make( ext_selection_data_target(p) )
	 !!type.make( ext_selection_data_type(p) )
	 format := ext_selection_data_format(p)
	 length := ext_selection_data_length(p)
	 if length > 0 then
	    data := ext_selection_data_data(p)
	 end

	 gtkobject := p
      end -- make

feature {ANY} -- Queries

   selection, target, type : GDK_ATOM
   format, length : INTEGER 
   data : ANY

   set ( type_ : GDK_ATOM; format_ : INTEGER ; 
	 data_ : ANY ; length_ : INTEGER ) is
      do
	 ext_selection_data_set ( gtkobject, 
				  type_.to_external, format_, data_,
				  length_ )
      end

feature {NONE} -- Private

   -- ewww. 
   ext_selection_data_set ( selection_object : POINTER ; 
			    type_, format_ : INTEGER ; 
			    data_ : ANY ; length_ : INTEGER ) is
      external "C"
      alias "gtk_selection_data_set"
      end

   ext_selection_data_selection (p : POINTER) : INTEGER is
      external "C"
      end

   ext_selection_data_target (p : POINTER) : INTEGER is
      external "C"
      end

   ext_selection_data_type (p : POINTER) : INTEGER is
      external "C"
      end

   ext_selection_data_format (p : POINTER) : INTEGER is
      external "C"
      end

   ext_selection_data_length (p : POINTER) : INTEGER is
      external "C"
      end

   ext_selection_data_data (p : POINTER) : ANY is
      external "C"
      end

   gtkobject : POINTER

invariant
end 

