indexing
   description: "gtk tips query"
   status: "You may be able to redistribute and/or modify this program.% 
          % See the README for details."
   copyright: "Copyright (C) 1999 Paul C. Janzen"
   author: "Paul C. Janzen"
   id: "$Id: gtk_tips_query.e,v 1.5 1999/01/18 19:54:59 pcj Exp $"

class GTK_TIPS_QUERY
inherit 
   GTK_LABEL
   rename make as make_label 
      end
creation
   make, create
feature -- Creation
   make is
      do
	 gtkobject := ext_tips_query_new 
      end -- make

feature {ANY} -- Commands
   start_query is
      do
	 ext_tips_query_start_query ( gtkobject ) 
      end

   stop_query is
      do
	 ext_tips_query_stop_query ( gtkobject ) 
      end
   
   set_caller ( caller : GTK_WIDGET ) is
      do
	 ext_tips_query_set_caller ( gtkobject, caller.to_external ) 
      end

   set_labels ( label_inactive, label_no_tip : STRING ) is
      do
	 ext_tips_query_set_labels ( gtkobject, label_inactive.to_external,
				     label_no_tip.to_external ) 
      end

feature {NONE} -- Private

   ext_tips_query_new : POINTER is
      external "C"
      alias "gtk_tips_query_new"
      end

   ext_tips_query_start_query ( tips_query : POINTER ) is
      external "C"
      alias "gtk_tips_query_start_query"
      end

   ext_tips_query_stop_query ( tips_query : POINTER ) is
      external "C"
      alias "gtk_tips_query_stop_query"
      end

   ext_tips_query_set_caller ( tips_query, caller : POINTER ) is
      external "C"
      alias "gtk_tips_query_set_caller"
      end

   ext_tips_query_set_labels ( tips_query, label_inactive, 
			       label_no_tip : POINTER ) is
      external "C"
      alias "gtk_tips_query_set_labels"
      end

invariant
end 

