indexing
   description: "create dialog"
   status: "You may be able to redistribute and/or modify this program.% 
          % See the README for details."
   copyright: "Copyright (C) 1999 Paul C. Janzen"
   author: "Paul C. Janzen"
   id: "$Id: create_dialog.e,v 1.4 1999/01/18 19:55:09 pcj Exp $"

class CREATE_DIALOG
inherit 
   SIMPLE_TEST
   GTK_COMMAND
creation
   make
feature -- Creation
   make is
      local
	 button : GTK_BUTTON
	 destroy_window : DESTROY_WINDOW
      do
	 !!destroy_window
	 !!window.make
	 window.add_action("destroy",destroy_window,window)
	 !!button.make_with_label("OK")
	 window.action_area.pack_start(button, True, True, 0)
	 button.show

	 !!button.make_with_label("Toggle")
	 button.add_action("clicked",Current,"toggle")
	 window.action_area.pack_start(button, True, True, 0)
	 button.show

	 window.show
      end -- make
feature {ANY} -- Queries
feature {ANY} -- Commands
feature {NONE} -- Private

   label : GTK_LABEL
   window : GTK_DIALOG

   execute ( data : ANY ) is
      do
	 if label = Void then
	    !!label.make_with_label("Dialog Test")
	    window.vbox.pack_start(label, True, True, 0)
	    label.set_padding(10,10)
	    label.show
	 else
	    label.destroy
	    label := Void
	 end
      end
invariant
end 
