indexing
   description: "create entry"
   status: "You may be able to redistribute and/or modify this program.% 
          % See the README for details."
   copyright: "Copyright (C) 1999 Paul C. Janzen"
   author: "Paul C. Janzen"
   id: "$Id: create_entry.e,v 1.4 1999/01/18 19:55:09 pcj Exp $"

class CREATE_ENTRY
inherit 
   SIMPLE_TEST
   GTK_COMMAND
creation
   make
feature -- Creation
   make is
      local
	 box1, box2 : GTK_VBOX
	 window : GTK_WINDOW
	 destroy_window : DESTROY_WINDOW
	 separator : GTK_HSEPARATOR
	 button : GTK_BUTTON
      do
	 !!destroy_window
	 !!window.make
	 window.add_action("destroy",destroy_window, window)

	 !!box1.make_with_aspect(False, 0)
	 window.add(box1)
	 box1.show
	 
	 !!box2.make_with_aspect(False, 0)
	 box2.set_border_width(10)
	 box1.pack_start(box2, True, True, 0)
	 box2.show

	 !!entry.make
	 entry.set_text("Hello World")
--	 entry.set_popdown_strings(<<"item 1","item 2","and item 3">>)
	 box2.pack_start(entry, True, True, 0)
	 entry.show

	 !!editable.make_with_label("Editable")
	 editable.add_action("toggled",Current, 0)
	 -- editable.set_state(1)
	 editable.show
	 box2.pack_start(editable, True, True, 0)
	 
	 !!separator.make
	 box1.pack_start(separator, False, True, 0)
	 separator.show
	 
	 !!box2.make_with_aspect(False, 10)
	 box2.set_border_width(10)
	 box1.pack_start(box2, False, True, 0)
	 box2.show

	 !!button.make_with_label("close")
	 button.add_action("clicked", destroy_window, window)
	 box2.pack_start(button, True, True, 0)
	 button.show

	 window.show
      end -- make
feature {ANY} -- Queries
feature {ANY} -- Commands
feature {NONE} -- Private

   entry : GTK_ENTRY
--   entry : GTK_COMBO
   editable : GTK_CHECK_BUTTON

   execute(data : ANY) is
      do
	 if editable.active then
	    entry.set_editable(True)
	 else
	    entry.set_editable(False)
	 end
      end
invariant
end 
