indexing
   description: "create handle box"
   status: "You may be able to redistribute and/or modify this program.% 
          % See the README for details."
   copyright: "Copyright (C) 1999 Paul C. Janzen"
   author: "Paul C. Janzen"
   id: "$Id: create_handle_box.e,v 1.4 1999/01/18 19:55:09 pcj Exp $"

class CREATE_HANDLE_BOX
inherit 
   SIMPLE_TEST
   CREATE_TOOLBAR
      redefine make end
   GTK_CONSTANTS
creation
   make
feature -- Creation
   make is
      local
	 destroy_window : DESTROY_WINDOW
	 vbox : GTK_VBOX
	 hbox : GTK_HBOX
	 label : GTK_LABEL
	 separator : GTK_HSEPARATOR
	 handle_box : GTK_HANDLE_BOX
      do
	 !!window.make
	 !!destroy_window
	 window.signal_connect("destroy", destroy_window, window)
	 window.set_title("HandleBox") 
	 window.set_policy(True, True, False)
	 window.set_border_width(20)
	 window.realize
	 
	 !!vbox.make(False, 0)
	 window.add(vbox)
	 vbox.show

	 !!label.make_with_label("Above")
	 vbox.add(label)
	 label.show

	 !!separator.make
	 vbox.add(separator)
	 separator.show

	 !!hbox.make(False, 10)
	 vbox.add(hbox)
	 hbox.show

	 !!separator.make
	 vbox.add(separator)
	 separator.show

	 !!label.make_with_label("Below")
	 vbox.add(label)
	 label.show

	 !!handle_box.make
	 hbox.add(handle_box)
	 handle_box.signal_connect("child_attached", Current, attached)
	 handle_box.signal_connect("child_detached", Current, detached)
	 handle_box.show

	 make_toolbar
	 toolbar.set_button_relief(gtk_relief_normal)
	 handle_box.add(toolbar)
	 toolbar.show

	 window.show
	 
      end -- make

   attached, detached : INTEGER is unique
feature {ANY} -- Queries
feature {ANY} -- Commands
feature {NONE} -- Private
invariant
end 

