indexing
   description: "create paned"
   status: "You may be able to redistribute and/or modify this program.% 
          % See the README for details."
   copyright: "Copyright (C) 1999 Paul C. Janzen"
   author: "Paul C. Janzen"
   id: "$Id: create_paned.e,v 1.5 1999/01/18 19:55:09 pcj Exp $"

class CREATE_PANED
inherit 
   SIMPLE_TEST
   GTK_CONSTANTS
creation
   make
feature -- Creation
   make is
      local
	 window : GTK_WINDOW
	 destroy_window : DESTROY_WINDOW
	 hpaned : GTK_HPANED
	 vpaned : GTK_VPANED
	 button : GTK_BUTTON
	 frame : GTK_FRAME
      do
	 !!window.make
	 !!destroy_window
	 window.signal_connect("destroy",destroy_window,window)
	 window.set_title("panes")
	 window.set_border_width(10)

	 !!vpaned.make
	 window.add(vpaned)
	 vpaned.set_border_width(5)
	 vpaned.show

	 !!hpaned.make
	 vpaned.add1(hpaned)

	 !!frame.make_without_label
	 frame.set_shadow_type(gtk_shadow_in)
	 frame.set_usize(60,60)
	 hpaned.add1(frame)
	 frame.show

	 !!button.make_with_label("Hi there")
	 frame.add(button)
	 button.show

	 !!frame.make_without_label
	 frame.set_shadow_type(gtk_shadow_in)
	 frame.set_usize(80,60)
	 hpaned.add2(frame)
	 frame.show

	 hpaned.show
	 
	 !!frame.make_without_label
	 frame.set_shadow_type(gtk_shadow_in)
	 frame.set_usize(60,80)
	 vpaned.add2(frame)
	 frame.show
	 
	 window.show

      end -- make
feature {NONE} -- Private
invariant
end 

