indexing
   description: "create rulers"
   status: "You may be able to redistribute and/or modify this program.% 
          % See the README for details."
   copyright: "Copyright (C) 1999 Paul C. Janzen"
   author: "Paul C. Janzen"
   id: "$Id: create_rulers.e,v 1.4 1999/01/18 19:55:09 pcj Exp $"

class CREATE_RULERS
inherit 
   SIMPLE_TEST
   GTK_COMMAND_EVENT
   GTK_CONSTANTS
creation
   make
feature -- Creation
   make is
      local 
	 window : GTK_WINDOW
	 table : GTK_TABLE
	 destroy_window : DESTROY_WINDOW
      do
	 !!window.make
	 !!destroy_window
	 window.signal_connect("destroy", destroy_window, window)
	 window.set_title("rulers")
	 window.set_usize(300, 300)
	 window.set_events(gdk_pointer_motion_mask 
			   and gdk_pointer_motion_hint_mask)
	 window.set_border_width(0)

	 !!table.make(2, 2, False)
	 window.add(table)
	 table.show
	 
	 !!hruler.make
	 hruler.set_metric(gtk_centimeters)
	 hruler.set_range(100, 0, 0, 20)
	 
	 window.signal_connect("motion_notify_event", Current, "")
	 
	 table.attach(hruler, 1, 2, 0, 1, 
		      gtk_expand and gtk_fill, gtk_fill, 0, 0)
	 hruler.show

	 !!vruler.make
	 vruler.set_range(5, 15, 0, 20)
	 table.attach(vruler, 0, 1, 1, 2, 
		      gtk_fill, gtk_expand and gtk_fill, 0, 0)
	 vruler.show
	 window.show
	 
      end -- make

feature {NONE}
   hruler : GTK_HRULER
   vruler : GTK_VRULER

   execute ( event : GDK_EVENT ; data : ANY ) : BOOLEAN is
      do
	 hruler.motion_notify_event(event)
	 vruler.motion_notify_event(event)
	 Result := True
      end
  
feature {NONE} -- Private
invariant
end 

