indexing
   description: "create scrolled windows"
   status: "You may be able to redistribute and/or modify this program.% 
          % See the README for details."
   copyright: "Copyright (C) 1999 Paul C. Janzen"
   author: "Paul C. Janzen"
   id: "$Id: create_scrolled_windows.e,v 1.6 1999/01/18 19:55:09 pcj Exp $"

class CREATE_SCROLLED_WINDOWS
inherit 
   SIMPLE_TEST
   GTK_CONSTANTS
   GTK_COMMAND
creation
   make
feature -- Creation
   make is
      local	
	 window : GTK_DIALOG
	 button : GTK_BUTTON 
	 destroy_window : DESTROY_WINDOW
	 scrolled_window : GTK_SCROLLED_WINDOW
	 table : GTK_TABLE
	 i, j : INTEGER 
	 buf : STRING 
      do
	 !!destroy_window
	 !!window.make
	 window.add_action("destroy",Current,window)
	 !!scrolled_window.make
	 scrolled_window.set_border_width(10)
	 scrolled_window.set_policy(gtk_policy_automatic, gtk_policy_automatic)
	 window.vbox.pack_start(scrolled_window, True, True, 0)
	 scrolled_window.show

	 !!table.make_table(20, 20, False)
	 table.set_row_spacings(10)
	 table.set_col_spacings(10)
	 scrolled_window.add_with_viewport(table)
	 table.show

	 from i := 0
	 until i >= 20
	 loop
	    from j := 0
	    until j >= 20
	    loop
	       !!buf.make(10)
	       buf.copy("button (")
	       buf.append(i.out)
	       buf.append(" ")
	       buf.append(j.out)
	       buf.append(")")
	       !!button.make_with_label(buf)
	       table.attach_defaults(button, i, i+1, j, j+1)
	       button.show
	       j := j+1
	    end
	    i := i+1
	 end
	 
	 !!button.make_with_label("close")
	 button.add_clicked_action(Current, window)
	 window.action_area.pack_start(button, True, True, 0)
	 button.set_flags(gtk_can_default)
	 button.grab_default
	 button.show
	 window.show

      end -- make
feature {ANY} -- Queries
feature {ANY} -- Commands
feature {NONE} -- Private
   execute ( data : ANY ) is
      local 
	 window : GTK_WINDOW
      do
	 window ?= data
	 window.destroy
      end
invariant
end 


