indexing
   description: "hello"
   status: "You may be able to redistribute and/or modify this program.% 
          % See the README for details."
   copyright: "Copyright (C) 1999 Paul C. Janzen"
   author: "Paul C. Janzen"
   id: "$Id: hello.e,v 1.4 1999/01/18 19:54:52 pcj Exp $"

-- Simple GTK hello world program. 
-- Compile with: 
-- compile hello make -o hello -cecil gtk_cecil -L/path/to/external \
--     -leiffel-gtk `gtk-config --libs`

class HELLO
inherit 
   GTK_MAIN
   GTK_COMMAND

creation
   make
feature -- Creation
   make is
      local

	 -- Widgets for the button and window
	 button : GTK_BUTTON
	 window : GTK_WINDOW

	 -- GTK_COMMAND form called when our window is destroyed
	 hello_exit : HELLO_EXIT

      do
	 -- GTK_MAIN.init is called in all GTK applications. 
	 -- Command line arguments are parsed automatically. 
	 init

	 -- Initialize window destructor
	 !!hello_exit

	 -- Create a new (toplevel) window.
	 !!window.make

	 -- Arrange for window destruction to exit program
	 window.signal_connect("destroy", hello_exit, Current)

	 -- Create the button, with text
	 !!button.make_with_label("Hello World!")

	 -- Arrange for button clicks to call HELLO.execute
	 -- Note how HELLO does double-duty as a GTK_COMMAND
	 button.signal_connect("clicked", Current, Void)

	 -- Add the button to the toplevel window
	 window.add(button)

	 -- Show the button and the window
	 button.show
	 window.show
	 
	 -- Enter GTK main loop. Control ends here and waits for an 
	 -- event, such as a button press, to occur. 
	 main

      end -- make

   -- This is a callback function, called when the button is clicked.
   -- The data arguments are ignored in this example. 
   execute (data : ANY) is
      do
	 print("Hello World%N")
      end

   -- called by hello_exit when the window is destroyed via the
   -- window manager
   my_exit is
      do
	 quit
	 exit(0)
      end
end 

