indexing
   description: "A notebook for showing a Class"
   note: ""
   status: "$State: Exp $"
   date: "$Date: 1999/01/16 22:18:27 $"
   revision: "$Revision: 1.1 $"
   author: "Francois Pennaneach"
class CLASS_NOTEBOOK
inherit
   GTK_NOTEBOOK
      rename
	 make as notebook_make
      end;
   GTK_COMMAND
creation make
feature -- Creation
   make is
      -- Creation and initialization
      local
	 label1 : GTK_LABEL
	 label2 : GTK_LABEL
	 label3 : GTK_LABEL
      do
	 notebook_make
	 !!label1.make_with_label("properties")
	 label1.show
	 append_page(page1, label1)
	 !!label2.make_with_label("attributes")
	 label2.show
	 append_page(page2, label2)
	 !!label3.make_with_label("methods")
	 label3.show
	 append_page(page3, label3)
	 show
      end -- make
feature {ANY} -- Queries
feature {ANY} -- Commands
feature {NONE} -- Private
   page1 : GTK_FRAME is
      local
	 name_label : GTK_LABEL
	 name : GTK_ENTRY
	 stereotype_label : GTK_LABEL
	 stereotype : GTK_ENTRY
	 isabstract : GTK_CHECK_BUTTON
	 vbox1 : GTK_VBOX
	 vbox2 : GTK_VBOX
	 hbox : GTK_HBOX
	 ok : GTK_BUTTON
      do
	 !!Result.make_with_label("Properties")
	 Result.set_border_width(10)

	 !!hbox.make_with_aspect(False, 0)

	 !!vbox1.make_with_aspect(False, 0)
	 !!name_label.make_with_label("Name :")
	 vbox1.pack_start_defaults(name_label)
	 name_label.show
	 !!name.make
	 vbox1.pack_start_defaults(name)
	 name.show

	 !!stereotype_label.make_with_label("Stereotype :")
	 vbox1.pack_start_defaults(stereotype_label)
	 stereotype_label.show
	 !!stereotype.make
	 vbox1.pack_start_defaults(stereotype)
	 stereotype.show

	 hbox.pack_start_defaults(vbox1)
	 vbox1.show

	 !!vbox2.make_with_aspect(True, 0)
	 !!isabstract.make_with_label("is abstract")
	 vbox2.pack_start_defaults(isabstract)
	 isabstract.show
	 !!ok.make_with_label("ok")
	 ok.add_clicked_action(Current, 1234)
	 vbox2.pack_start_defaults(ok)
	 ok.show
	 hbox.pack_start_defaults(vbox2)
	 vbox2.show

	 Result.add(hbox)
	 hbox.show
	 Result.show
      end -- page1

    page2 : GTK_FRAME is
      local
	 i : INTEGER
	 list : GTK_LIST
	 item : GTK_LIST_ITEM
	 items : ARRAY[STRING]
	 scrolled_window : GTK_SCROLLED_WINDOW
	 vbox : GTK_VBOX
      do
	 items := << "isabstract", "ispolymorphic", "nestedvisibility", "signalsdirection", "istemplate", "multiplicity", "foo", "bar">>
	 !!Result.make_with_label("Page 2")
	 Result.set_border_width(10)
	 !!vbox.make_with_aspect(True, 0)
	 !!list.make
	 !!scrolled_window.make
	 scrolled_window.add_with_viewport(list)
	 vbox.add(scrolled_window)
	 Result.add(vbox)
	 from i:= items.lower until i > items.upper
	 loop
	    !!item.make_with_label(items.item(i))
	    i := i + 1
	    list.add(item)
	    item.show
	 end -- loop
	 vbox.show
	 list.show
	 scrolled_window.show
	 Result.show
      end -- page2

   page3 : GTK_FRAME is
      do
	 !!Result.make_with_label("Page 3")
	 Result.set_border_width(10)
	 Result.show
      end -- page3

   execute(data : ANY) is
      do
	 print("execution")
	 print(data);print("%N")
      end -- execute
invariant
end 


