indexing
   description: "gtk constants"
   status: "You may be able to redistribute and/or modify this program.% 
          % See the README for details."
   copyright: "Copyright (C) 1999 Paul C. Janzen"
   author: "Paul C. Janzen"
   id: "$Id: gtk_constants.e,v 1.10 1999/01/18 19:55:05 pcj Exp $"

class GTK_CONSTANTS
   inherit GTK_FLAGS_NONE 
feature {ANY}
   gtk_accel_visible : GTK_ACCEL_FLAGS is 
      do
         !!Result.make_gtk_flag("visible")
      end
   gtk_accel_signal_visible : GTK_ACCEL_FLAGS is 
      do
         !!Result.make_gtk_flag("signal-visible")
      end
   gtk_accel_locked : GTK_ACCEL_FLAGS is 
      do
         !!Result.make_gtk_flag("locked")
      end
   gtk_accel_mask : GTK_ACCEL_FLAGS is 
      do
         !!Result.make_gtk_flag("mask")
      end
   gtk_calendar_show_heading : GTK_CALENDAR_DISPLAY_OPTIONS is 
      do
         !!Result.make_gtk_flag("show-heading")
      end
   gtk_calendar_show_day_names : GTK_CALENDAR_DISPLAY_OPTIONS is 
      do
         !!Result.make_gtk_flag("show-day-names")
      end
   gtk_calendar_no_month_change : GTK_CALENDAR_DISPLAY_OPTIONS is 
      do
         !!Result.make_gtk_flag("no-month-change")
      end
   gtk_calendar_show_week_numbers : GTK_CALENDAR_DISPLAY_OPTIONS is 
      do
         !!Result.make_gtk_flag("show-week-numbers")
      end
   gtk_calendar_week_start_monday : GTK_CALENDAR_DISPLAY_OPTIONS is 
      do
         !!Result.make_gtk_flag("week-start-monday")
      end
   gtk_cell_empty : GTK_CELL_TYPE is 
      do
         !!Result.make_gtk_enum("empty")
      end
   gtk_cell_text : GTK_CELL_TYPE is 
      do
         !!Result.make_gtk_enum("text")
      end
   gtk_cell_pixmap : GTK_CELL_TYPE is 
      do
         !!Result.make_gtk_enum("pixmap")
      end
   gtk_cell_pixtext : GTK_CELL_TYPE is 
      do
         !!Result.make_gtk_enum("pixtext")
      end
   gtk_cell_widget : GTK_CELL_TYPE is 
      do
         !!Result.make_gtk_enum("widget")
      end
   gtk_clist_drag_none : GTK_CLIST_DRAG_POS is 
      do
         !!Result.make_gtk_enum("none")
      end
   gtk_clist_drag_before : GTK_CLIST_DRAG_POS is 
      do
         !!Result.make_gtk_enum("before")
      end
   gtk_clist_drag_into : GTK_CLIST_DRAG_POS is 
      do
         !!Result.make_gtk_enum("into")
      end
   gtk_clist_drag_after : GTK_CLIST_DRAG_POS is 
      do
         !!Result.make_gtk_enum("after")
      end
   gtk_button_ignored : GTK_BUTTON_ACTION is 
      do
         !!Result.make_gtk_flag("ignored")
      end
   gtk_button_selects : GTK_BUTTON_ACTION is 
      do
         !!Result.make_gtk_flag("selects")
      end
   gtk_button_drags : GTK_BUTTON_ACTION is 
      do
         !!Result.make_gtk_flag("drags")
      end
   gtk_button_expands : GTK_BUTTON_ACTION is 
      do
         !!Result.make_gtk_flag("expands")
      end
   gtk_ctree_pos_before : GTK_CTREE_POS is 
      do
         !!Result.make_gtk_enum("before")
      end
   gtk_ctree_pos_as_child : GTK_CTREE_POS is 
      do
         !!Result.make_gtk_enum("as-child")
      end
   gtk_ctree_pos_after : GTK_CTREE_POS is 
      do
         !!Result.make_gtk_enum("after")
      end
   gtk_ctree_lines_none : GTK_CTREE_LINE_STYLE is 
      do
         !!Result.make_gtk_enum("none")
      end
   gtk_ctree_lines_solid : GTK_CTREE_LINE_STYLE is 
      do
         !!Result.make_gtk_enum("solid")
      end
   gtk_ctree_lines_dotted : GTK_CTREE_LINE_STYLE is 
      do
         !!Result.make_gtk_enum("dotted")
      end
   gtk_ctree_lines_tabbed : GTK_CTREE_LINE_STYLE is 
      do
         !!Result.make_gtk_enum("tabbed")
      end
   gtk_ctree_expander_none : GTK_CTREE_EXPANDER_STYLE is 
      do
         !!Result.make_gtk_enum("none")
      end
   gtk_ctree_expander_square : GTK_CTREE_EXPANDER_STYLE is 
      do
         !!Result.make_gtk_enum("square")
      end
   gtk_ctree_expander_triangle : GTK_CTREE_EXPANDER_STYLE is 
      do
         !!Result.make_gtk_enum("triangle")
      end
   gtk_ctree_expander_circular : GTK_CTREE_EXPANDER_STYLE is 
      do
         !!Result.make_gtk_enum("circular")
      end
   gtk_ctree_expansion_expand : GTK_CTREE_EXPANSION_TYPE is 
      do
         !!Result.make_gtk_enum("expand")
      end
   gtk_ctree_expansion_expand_recursive : GTK_CTREE_EXPANSION_TYPE is 
      do
         !!Result.make_gtk_enum("expand-recursive")
      end
   gtk_ctree_expansion_collapse : GTK_CTREE_EXPANSION_TYPE is 
      do
         !!Result.make_gtk_enum("collapse")
      end
   gtk_ctree_expansion_collapse_recursive : GTK_CTREE_EXPANSION_TYPE is 
      do
         !!Result.make_gtk_enum("collapse-recursive")
      end
   gtk_ctree_expansion_toggle : GTK_CTREE_EXPANSION_TYPE is 
      do
         !!Result.make_gtk_enum("toggle")
      end
   gtk_ctree_expansion_toggle_recursive : GTK_CTREE_EXPANSION_TYPE is 
      do
         !!Result.make_gtk_enum("toggle-recursive")
      end
   gtk_debug_objects : GTK_DEBUG_FLAG is 
      do
         !!Result.make_gtk_flag("objects")
      end
   gtk_debug_misc : GTK_DEBUG_FLAG is 
      do
         !!Result.make_gtk_flag("misc")
      end
   gtk_debug_signals : GTK_DEBUG_FLAG is 
      do
         !!Result.make_gtk_flag("signals")
      end
   gtk_debug_dnd : GTK_DEBUG_FLAG is 
      do
         !!Result.make_gtk_flag("dnd")
      end
   gtk_dest_default_motion : GTK_DEST_DEFAULTS is 
      do
         !!Result.make_gtk_flag("motion")
      end
   gtk_dest_default_highlight : GTK_DEST_DEFAULTS is 
      do
         !!Result.make_gtk_flag("highlight")
      end
   gtk_dest_default_drop : GTK_DEST_DEFAULTS is 
      do
         !!Result.make_gtk_flag("drop")
      end
   gtk_dest_default_all : GTK_DEST_DEFAULTS is 
      do
         !!Result.make_gtk_flag("all")
      end
   gtk_target_same_app : GTK_TARGET_FLAGS is 
      do
         !!Result.make_gtk_flag("same-app")
      end
   gtk_target_same_widget : GTK_TARGET_FLAGS is 
      do
         !!Result.make_gtk_flag("same-widget")
      end
   gtk_arrow_up : GTK_ARROW_TYPE is 
      do
         !!Result.make_gtk_enum("up")
      end
   gtk_arrow_down : GTK_ARROW_TYPE is 
      do
         !!Result.make_gtk_enum("down")
      end
   gtk_arrow_left : GTK_ARROW_TYPE is 
      do
         !!Result.make_gtk_enum("left")
      end
   gtk_arrow_right : GTK_ARROW_TYPE is 
      do
         !!Result.make_gtk_enum("right")
      end
   gtk_expand : GTK_ATTACH_OPTIONS is 
      do
         !!Result.make_gtk_flag("expand")
      end
   gtk_shrink : GTK_ATTACH_OPTIONS is 
      do
         !!Result.make_gtk_flag("shrink")
      end
   gtk_fill : GTK_ATTACH_OPTIONS is 
      do
         !!Result.make_gtk_flag("fill")
      end
   gtk_buttonbox_default_style : GTK_BUTTON_BOX_STYLE is 
      do
         !!Result.make_gtk_enum("default-style")
      end
   gtk_buttonbox_spread : GTK_BUTTON_BOX_STYLE is 
      do
         !!Result.make_gtk_enum("spread")
      end
   gtk_buttonbox_edge : GTK_BUTTON_BOX_STYLE is 
      do
         !!Result.make_gtk_enum("edge")
      end
   gtk_buttonbox_start : GTK_BUTTON_BOX_STYLE is 
      do
         !!Result.make_gtk_enum("start")
      end
   gtk_buttonbox_end : GTK_BUTTON_BOX_STYLE is 
      do
         !!Result.make_gtk_enum("end")
      end
   gtk_curve_type_linear : GTK_CURVE_TYPE is 
      do
         !!Result.make_gtk_enum("linear")
      end
   gtk_curve_type_spline : GTK_CURVE_TYPE is 
      do
         !!Result.make_gtk_enum("spline")
      end
   gtk_curve_type_free : GTK_CURVE_TYPE is 
      do
         !!Result.make_gtk_enum("free")
      end
   gtk_dir_tab_forward : GTK_DIRECTION_TYPE is 
      do
         !!Result.make_gtk_enum("tab-forward")
      end
   gtk_dir_tab_backward : GTK_DIRECTION_TYPE is 
      do
         !!Result.make_gtk_enum("tab-backward")
      end
   gtk_dir_up : GTK_DIRECTION_TYPE is 
      do
         !!Result.make_gtk_enum("up")
      end
   gtk_dir_down : GTK_DIRECTION_TYPE is 
      do
         !!Result.make_gtk_enum("down")
      end
   gtk_dir_left : GTK_DIRECTION_TYPE is 
      do
         !!Result.make_gtk_enum("left")
      end
   gtk_dir_right : GTK_DIRECTION_TYPE is 
      do
         !!Result.make_gtk_enum("right")
      end
   gtk_justify_left : GTK_JUSTIFICATION is 
      do
         !!Result.make_gtk_enum("left")
      end
   gtk_justify_right : GTK_JUSTIFICATION is 
      do
         !!Result.make_gtk_enum("right")
      end
   gtk_justify_center : GTK_JUSTIFICATION is 
      do
         !!Result.make_gtk_enum("center")
      end
   gtk_justify_fill : GTK_JUSTIFICATION is 
      do
         !!Result.make_gtk_enum("fill")
      end
   gtk_match_all : GTK_MATCH_TYPE is 
      do
         !!Result.make_gtk_enum("all")
      end
   gtk_match_all_tail : GTK_MATCH_TYPE is 
      do
         !!Result.make_gtk_enum("all-tail")
      end
   gtk_match_head : GTK_MATCH_TYPE is 
      do
         !!Result.make_gtk_enum("head")
      end
   gtk_match_tail : GTK_MATCH_TYPE is 
      do
         !!Result.make_gtk_enum("tail")
      end
   gtk_match_exact : GTK_MATCH_TYPE is 
      do
         !!Result.make_gtk_enum("exact")
      end
   gtk_match_last : GTK_MATCH_TYPE is 
      do
         !!Result.make_gtk_enum("last")
      end
   gtk_menu_dir_parent : GTK_MENU_DIRECTION_TYPE is 
      do
         !!Result.make_gtk_enum("parent")
      end
   gtk_menu_dir_child : GTK_MENU_DIRECTION_TYPE is 
      do
         !!Result.make_gtk_enum("child")
      end
   gtk_menu_dir_next : GTK_MENU_DIRECTION_TYPE is 
      do
         !!Result.make_gtk_enum("next")
      end
   gtk_menu_dir_prev : GTK_MENU_DIRECTION_TYPE is 
      do
         !!Result.make_gtk_enum("prev")
      end
   gtk_menu_factory_menu : GTK_MENU_FACTORY_TYPE is 
      do
         !!Result.make_gtk_enum("menu")
      end
   gtk_menu_factory_menu_bar : GTK_MENU_FACTORY_TYPE is 
      do
         !!Result.make_gtk_enum("menu-bar")
      end
   gtk_menu_factory_option_menu : GTK_MENU_FACTORY_TYPE is 
      do
         !!Result.make_gtk_enum("option-menu")
      end
   gtk_pixels : GTK_METRIC_TYPE is 
      do
         !!Result.make_gtk_enum("pixels")
      end
   gtk_inches : GTK_METRIC_TYPE is 
      do
         !!Result.make_gtk_enum("inches")
      end
   gtk_centimeters : GTK_METRIC_TYPE is 
      do
         !!Result.make_gtk_enum("centimeters")
      end
   gtk_orientation_horizontal : GTK_ORIENTATION is 
      do
         !!Result.make_gtk_enum("horizontal")
      end
   gtk_orientation_vertical : GTK_ORIENTATION is 
      do
         !!Result.make_gtk_enum("vertical")
      end
   gtk_corner_top_left : GTK_CORNER_TYPE is 
      do
         !!Result.make_gtk_enum("top-left")
      end
   gtk_corner_bottom_left : GTK_CORNER_TYPE is 
      do
         !!Result.make_gtk_enum("bottom-left")
      end
   gtk_corner_top_right : GTK_CORNER_TYPE is 
      do
         !!Result.make_gtk_enum("top-right")
      end
   gtk_corner_bottom_right : GTK_CORNER_TYPE is 
      do
         !!Result.make_gtk_enum("bottom-right")
      end
   gtk_pack_start : GTK_PACK_TYPE is 
      do
         !!Result.make_gtk_enum("start")
      end
   gtk_pack_end : GTK_PACK_TYPE is 
      do
         !!Result.make_gtk_enum("end")
      end
   gtk_path_prio_lowest : GTK_PATH_PRIORITY_TYPE is 
      do
         !!Result.make_gtk_enum("lowest")
      end
   gtk_path_prio_gtk : GTK_PATH_PRIORITY_TYPE is 
      do
         !!Result.make_gtk_enum("gtk")
      end
   gtk_path_prio_application : GTK_PATH_PRIORITY_TYPE is 
      do
         !!Result.make_gtk_enum("application")
      end
   gtk_path_prio_rc : GTK_PATH_PRIORITY_TYPE is 
      do
         !!Result.make_gtk_enum("rc")
      end
   gtk_path_prio_highest : GTK_PATH_PRIORITY_TYPE is 
      do
         !!Result.make_gtk_enum("highest")
      end
   gtk_path_prio_mask : GTK_PATH_PRIORITY_TYPE is 
      do
         !!Result.make_gtk_enum("mask")
      end
   gtk_path_widget : GTK_PATH_TYPE is 
      do
         !!Result.make_gtk_enum("widget")
      end
   gtk_path_widget_class : GTK_PATH_TYPE is 
      do
         !!Result.make_gtk_enum("widget-class")
      end
   gtk_path_class : GTK_PATH_TYPE is 
      do
         !!Result.make_gtk_enum("class")
      end
   gtk_policy_always : GTK_POLICY_TYPE is 
      do
         !!Result.make_gtk_enum("always")
      end
   gtk_policy_automatic : GTK_POLICY_TYPE is 
      do
         !!Result.make_gtk_enum("automatic")
      end
   gtk_policy_never : GTK_POLICY_TYPE is 
      do
         !!Result.make_gtk_enum("never")
      end
   gtk_pos_left : GTK_POSITION_TYPE is 
      do
         !!Result.make_gtk_enum("left")
      end
   gtk_pos_right : GTK_POSITION_TYPE is 
      do
         !!Result.make_gtk_enum("right")
      end
   gtk_pos_top : GTK_POSITION_TYPE is 
      do
         !!Result.make_gtk_enum("top")
      end
   gtk_pos_bottom : GTK_POSITION_TYPE is 
      do
         !!Result.make_gtk_enum("bottom")
      end
   gtk_preview_color : GTK_PREVIEW_TYPE is 
      do
         !!Result.make_gtk_enum("color")
      end
   gtk_preview_grayscale : GTK_PREVIEW_TYPE is 
      do
         !!Result.make_gtk_enum("grayscale")
      end
   gtk_relief_normal : GTK_RELIEF_STYLE is 
      do
         !!Result.make_gtk_enum("normal")
      end
   gtk_relief_half : GTK_RELIEF_STYLE is 
      do
         !!Result.make_gtk_enum("half")
      end
   gtk_relief_none : GTK_RELIEF_STYLE is 
      do
         !!Result.make_gtk_enum("none")
      end
   gtk_resize_parent : GTK_RESIZE_MODE is 
      do
         !!Result.make_gtk_enum("parent")
      end
   gtk_resize_queue : GTK_RESIZE_MODE is 
      do
         !!Result.make_gtk_enum("queue")
      end
   gtk_resize_immediate : GTK_RESIZE_MODE is 
      do
         !!Result.make_gtk_enum("immediate")
      end
   gtk_run_first : GTK_SIGNAL_RUN_TYPE is 
      do
         !!Result.make_gtk_flag("first")
      end
   gtk_run_last : GTK_SIGNAL_RUN_TYPE is 
      do
         !!Result.make_gtk_flag("last")
      end
   gtk_run_both : GTK_SIGNAL_RUN_TYPE is 
      do
         !!Result.make_gtk_flag("both")
      end
   gtk_run_no_recurse : GTK_SIGNAL_RUN_TYPE is 
      do
         !!Result.make_gtk_flag("no-recurse")
      end
   gtk_run_action : GTK_SIGNAL_RUN_TYPE is 
      do
         !!Result.make_gtk_flag("action")
      end
   gtk_run_no_hooks : GTK_SIGNAL_RUN_TYPE is 
      do
         !!Result.make_gtk_flag("no-hooks")
      end
   gtk_scroll_none : GTK_SCROLL_TYPE is 
      do
         !!Result.make_gtk_enum("none")
      end
   gtk_scroll_step_backward : GTK_SCROLL_TYPE is 
      do
         !!Result.make_gtk_enum("step-backward")
      end
   gtk_scroll_step_forward : GTK_SCROLL_TYPE is 
      do
         !!Result.make_gtk_enum("step-forward")
      end
   gtk_scroll_page_backward : GTK_SCROLL_TYPE is 
      do
         !!Result.make_gtk_enum("page-backward")
      end
   gtk_scroll_page_forward : GTK_SCROLL_TYPE is 
      do
         !!Result.make_gtk_enum("page-forward")
      end
   gtk_scroll_jump : GTK_SCROLL_TYPE is 
      do
         !!Result.make_gtk_enum("jump")
      end
   gtk_selection_single : GTK_SELECTION_MODE is 
      do
         !!Result.make_gtk_enum("single")
      end
   gtk_selection_browse : GTK_SELECTION_MODE is 
      do
         !!Result.make_gtk_enum("browse")
      end
   gtk_selection_multiple : GTK_SELECTION_MODE is 
      do
         !!Result.make_gtk_enum("multiple")
      end
   gtk_selection_extended : GTK_SELECTION_MODE is 
      do
         !!Result.make_gtk_enum("extended")
      end
   gtk_shadow_none : GTK_SHADOW_TYPE is 
      do
         !!Result.make_gtk_enum("none")
      end
   gtk_shadow_in : GTK_SHADOW_TYPE is 
      do
         !!Result.make_gtk_enum("in")
      end
   gtk_shadow_out : GTK_SHADOW_TYPE is 
      do
         !!Result.make_gtk_enum("out")
      end
   gtk_shadow_etched_in : GTK_SHADOW_TYPE is 
      do
         !!Result.make_gtk_enum("etched-in")
      end
   gtk_shadow_etched_out : GTK_SHADOW_TYPE is 
      do
         !!Result.make_gtk_enum("etched-out")
      end
   gtk_state_normal : GTK_STATE_TYPE is 
      do
         !!Result.make_gtk_enum("normal")
      end
   gtk_state_active : GTK_STATE_TYPE is 
      do
         !!Result.make_gtk_enum("active")
      end
   gtk_state_prelight : GTK_STATE_TYPE is 
      do
         !!Result.make_gtk_enum("prelight")
      end
   gtk_state_selected : GTK_STATE_TYPE is 
      do
         !!Result.make_gtk_enum("selected")
      end
   gtk_state_insensitive : GTK_STATE_TYPE is 
      do
         !!Result.make_gtk_enum("insensitive")
      end
   gtk_direction_left : GTK_SUBMENU_DIRECTION is 
      do
         !!Result.make_gtk_enum("left")
      end
   gtk_direction_right : GTK_SUBMENU_DIRECTION is 
      do
         !!Result.make_gtk_enum("right")
      end
   gtk_top_bottom : GTK_SUBMENU_PLACEMENT is 
      do
         !!Result.make_gtk_enum("top-bottom")
      end
   gtk_left_right : GTK_SUBMENU_PLACEMENT is 
      do
         !!Result.make_gtk_enum("left-right")
      end
   gtk_toolbar_icons : GTK_TOOLBAR_STYLE is 
      do
         !!Result.make_gtk_enum("icons")
      end
   gtk_toolbar_text : GTK_TOOLBAR_STYLE is 
      do
         !!Result.make_gtk_enum("text")
      end
   gtk_toolbar_both : GTK_TOOLBAR_STYLE is 
      do
         !!Result.make_gtk_enum("both")
      end
   gtk_trough_none : GTK_TROUGH_TYPE is 
      do
         !!Result.make_gtk_enum("none")
      end
   gtk_trough_start : GTK_TROUGH_TYPE is 
      do
         !!Result.make_gtk_enum("start")
      end
   gtk_trough_end : GTK_TROUGH_TYPE is 
      do
         !!Result.make_gtk_enum("end")
      end
   gtk_trough_jump : GTK_TROUGH_TYPE is 
      do
         !!Result.make_gtk_enum("jump")
      end
   gtk_update_continuous : GTK_UPDATE_TYPE is 
      do
         !!Result.make_gtk_enum("continuous")
      end
   gtk_update_discontinuous : GTK_UPDATE_TYPE is 
      do
         !!Result.make_gtk_enum("discontinuous")
      end
   gtk_update_delayed : GTK_UPDATE_TYPE is 
      do
         !!Result.make_gtk_enum("delayed")
      end
   gtk_visibility_none : GTK_VISIBILITY is 
      do
         !!Result.make_gtk_enum("none")
      end
   gtk_visibility_partial : GTK_VISIBILITY is 
      do
         !!Result.make_gtk_enum("partial")
      end
   gtk_visibility_full : GTK_VISIBILITY is 
      do
         !!Result.make_gtk_enum("full")
      end
   gtk_win_pos_none : GTK_WINDOW_POSITION is 
      do
         !!Result.make_gtk_enum("none")
      end
   gtk_win_pos_center : GTK_WINDOW_POSITION is 
      do
         !!Result.make_gtk_enum("center")
      end
   gtk_win_pos_mouse : GTK_WINDOW_POSITION is 
      do
         !!Result.make_gtk_enum("mouse")
      end
   gtk_window_toplevel : GTK_WINDOW_TYPE is 
      do
         !!Result.make_gtk_enum("toplevel")
      end
   gtk_window_dialog : GTK_WINDOW_TYPE is 
      do
         !!Result.make_gtk_enum("dialog")
      end
   gtk_window_popup : GTK_WINDOW_TYPE is 
      do
         !!Result.make_gtk_enum("popup")
      end
   gtk_sort_ascending : GTK_SORT_TYPE is 
      do
         !!Result.make_gtk_enum("ascending")
      end
   gtk_sort_descending : GTK_SORT_TYPE is 
      do
         !!Result.make_gtk_enum("descending")
      end
   gtk_font_metric_pixels : GTK_FONT_METRIC_TYPE is 
      do
         !!Result.make_gtk_enum("pixels")
      end
   gtk_font_metric_points : GTK_FONT_METRIC_TYPE is 
      do
         !!Result.make_gtk_enum("points")
      end
   gtk_font_bitmap : GTK_FONT_TYPE is 
      do
         !!Result.make_gtk_flag("bitmap")
      end
   gtk_font_scalable : GTK_FONT_TYPE is 
      do
         !!Result.make_gtk_flag("scalable")
      end
   gtk_font_scalable_bitmap : GTK_FONT_TYPE is 
      do
         !!Result.make_gtk_flag("scalable-bitmap")
      end
   gtk_font_all : GTK_FONT_TYPE is 
      do
         !!Result.make_gtk_flag("all")
      end
   gtk_font_filter_base : GTK_FONT_FILTER_TYPE is 
      do
         !!Result.make_gtk_enum("base")
      end
   gtk_font_filter_user : GTK_FONT_FILTER_TYPE is 
      do
         !!Result.make_gtk_enum("user")
      end
   gtk_destroyed : GTK_OBJECT_FLAGS is 
      do
         !!Result.make_gtk_flag("destroyed")
      end
   gtk_floating : GTK_OBJECT_FLAGS is 
      do
         !!Result.make_gtk_flag("floating")
      end
   gtk_connected : GTK_OBJECT_FLAGS is 
      do
         !!Result.make_gtk_flag("connected")
      end
   gtk_constructed : GTK_OBJECT_FLAGS is 
      do
         !!Result.make_gtk_flag("constructed")
      end
   gtk_arg_readable : GTK_ARG_FLAGS is 
      do
         !!Result.make_gtk_flag("readable")
      end
   gtk_arg_writable : GTK_ARG_FLAGS is 
      do
         !!Result.make_gtk_flag("writable")
      end
   gtk_arg_construct : GTK_ARG_FLAGS is 
      do
         !!Result.make_gtk_flag("construct")
      end
   gtk_arg_construct_only : GTK_ARG_FLAGS is 
      do
         !!Result.make_gtk_flag("construct-only")
      end
   gtk_arg_child_arg : GTK_ARG_FLAGS is 
      do
         !!Result.make_gtk_flag("child-arg")
      end
   gtk_arg_mask : GTK_ARG_FLAGS is 
      do
         !!Result.make_gtk_flag("mask")
      end
   gtk_arg_readwrite : GTK_ARG_FLAGS is 
      do
         !!Result.make_gtk_flag("readwrite")
      end
   gtk_pack_expand : GTK_PACKER_OPTIONS is 
      do
         !!Result.make_gtk_flag("expand")
      end
   gtk_fill_x : GTK_PACKER_OPTIONS is 
      do
         !!Result.make_gtk_flag("fill-x")
      end
   gtk_fill_y : GTK_PACKER_OPTIONS is 
      do
         !!Result.make_gtk_flag("fill-y")
      end
   gtk_side_top : GTK_SIDE_TYPE is 
      do
         !!Result.make_gtk_enum("top")
      end
   gtk_side_bottom : GTK_SIDE_TYPE is 
      do
         !!Result.make_gtk_enum("bottom")
      end
   gtk_side_left : GTK_SIDE_TYPE is 
      do
         !!Result.make_gtk_enum("left")
      end
   gtk_side_right : GTK_SIDE_TYPE is 
      do
         !!Result.make_gtk_enum("right")
      end
   gtk_anchor_center : GTK_ANCHOR_TYPE is 
      do
         !!Result.make_gtk_enum("center")
      end
   gtk_anchor_north : GTK_ANCHOR_TYPE is 
      do
         !!Result.make_gtk_enum("north")
      end
   gtk_anchor_north_west : GTK_ANCHOR_TYPE is 
      do
         !!Result.make_gtk_enum("north-west")
      end
   gtk_anchor_north_east : GTK_ANCHOR_TYPE is 
      do
         !!Result.make_gtk_enum("north-east")
      end
   gtk_anchor_south : GTK_ANCHOR_TYPE is 
      do
         !!Result.make_gtk_enum("south")
      end
   gtk_anchor_south_west : GTK_ANCHOR_TYPE is 
      do
         !!Result.make_gtk_enum("south-west")
      end
   gtk_anchor_south_east : GTK_ANCHOR_TYPE is 
      do
         !!Result.make_gtk_enum("south-east")
      end
   gtk_anchor_west : GTK_ANCHOR_TYPE is 
      do
         !!Result.make_gtk_enum("west")
      end
   gtk_anchor_east : GTK_ANCHOR_TYPE is 
      do
         !!Result.make_gtk_enum("east")
      end
   gtk_anchor_n : GTK_ANCHOR_TYPE is 
      do
         !!Result.make_gtk_enum("n")
      end
   gtk_anchor_nw : GTK_ANCHOR_TYPE is 
      do
         !!Result.make_gtk_enum("nw")
      end
   gtk_anchor_ne : GTK_ANCHOR_TYPE is 
      do
         !!Result.make_gtk_enum("ne")
      end
   gtk_anchor_s : GTK_ANCHOR_TYPE is 
      do
         !!Result.make_gtk_enum("s")
      end
   gtk_anchor_sw : GTK_ANCHOR_TYPE is 
      do
         !!Result.make_gtk_enum("sw")
      end
   gtk_anchor_se : GTK_ANCHOR_TYPE is 
      do
         !!Result.make_gtk_enum("se")
      end
   gtk_anchor_w : GTK_ANCHOR_TYPE is 
      do
         !!Result.make_gtk_enum("w")
      end
   gtk_anchor_e : GTK_ANCHOR_TYPE is 
      do
         !!Result.make_gtk_enum("e")
      end
   private_gtk_user_style : GTK_PRIVATE_FLAGS is 
      do
         !!Result.make_gtk_flag("user-style")
      end
   private_gtk_redraw_pending : GTK_PRIVATE_FLAGS is 
      do
         !!Result.make_gtk_flag("redraw-pending")
      end
   private_gtk_resize_pending : GTK_PRIVATE_FLAGS is 
      do
         !!Result.make_gtk_flag("resize-pending")
      end
   private_gtk_resize_needed : GTK_PRIVATE_FLAGS is 
      do
         !!Result.make_gtk_flag("resize-needed")
      end
   private_gtk_leave_pending : GTK_PRIVATE_FLAGS is 
      do
         !!Result.make_gtk_flag("leave-pending")
      end
   private_gtk_has_shape_mask : GTK_PRIVATE_FLAGS is 
      do
         !!Result.make_gtk_flag("has-shape-mask")
      end
   private_gtk_in_reparent : GTK_PRIVATE_FLAGS is 
      do
         !!Result.make_gtk_flag("in-reparent")
      end
   gtk_progress_continuous : GTK_PROGRESS_BAR_STYLE is 
      do
         !!Result.make_gtk_enum("continuous")
      end
   gtk_progress_discrete : GTK_PROGRESS_BAR_STYLE is 
      do
         !!Result.make_gtk_enum("discrete")
      end
   gtk_progress_left_to_right : GTK_PROGRESS_BAR_ORIENTATION is 
      do
         !!Result.make_gtk_enum("left-to-right")
      end
   gtk_progress_right_to_left : GTK_PROGRESS_BAR_ORIENTATION is 
      do
         !!Result.make_gtk_enum("right-to-left")
      end
   gtk_progress_bottom_to_top : GTK_PROGRESS_BAR_ORIENTATION is 
      do
         !!Result.make_gtk_enum("bottom-to-top")
      end
   gtk_progress_top_to_bottom : GTK_PROGRESS_BAR_ORIENTATION is 
      do
         !!Result.make_gtk_enum("top-to-bottom")
      end
   gtk_rc_fg : GTK_RC_FLAGS is 
      do
         !!Result.make_gtk_flag("fg")
      end
   gtk_rc_bg : GTK_RC_FLAGS is 
      do
         !!Result.make_gtk_flag("bg")
      end
   gtk_rc_text : GTK_RC_FLAGS is 
      do
         !!Result.make_gtk_flag("text")
      end
   gtk_rc_base : GTK_RC_FLAGS is 
      do
         !!Result.make_gtk_flag("base")
      end
   gtk_rc_token_invalid : GTK_RC_TOKEN_TYPE is 
      do
         !!Result.make_gtk_enum("invalid")
      end
   gtk_rc_token_include : GTK_RC_TOKEN_TYPE is 
      do
         !!Result.make_gtk_enum("include")
      end
   gtk_rc_token_normal : GTK_RC_TOKEN_TYPE is 
      do
         !!Result.make_gtk_enum("normal")
      end
   gtk_rc_token_active : GTK_RC_TOKEN_TYPE is 
      do
         !!Result.make_gtk_enum("active")
      end
   gtk_rc_token_prelight : GTK_RC_TOKEN_TYPE is 
      do
         !!Result.make_gtk_enum("prelight")
      end
   gtk_rc_token_selected : GTK_RC_TOKEN_TYPE is 
      do
         !!Result.make_gtk_enum("selected")
      end
   gtk_rc_token_insensitive : GTK_RC_TOKEN_TYPE is 
      do
         !!Result.make_gtk_enum("insensitive")
      end
   gtk_rc_token_fg : GTK_RC_TOKEN_TYPE is 
      do
         !!Result.make_gtk_enum("fg")
      end
   gtk_rc_token_bg : GTK_RC_TOKEN_TYPE is 
      do
         !!Result.make_gtk_enum("bg")
      end
   gtk_rc_token_base : GTK_RC_TOKEN_TYPE is 
      do
         !!Result.make_gtk_enum("base")
      end
   gtk_rc_token_text : GTK_RC_TOKEN_TYPE is 
      do
         !!Result.make_gtk_enum("text")
      end
   gtk_rc_token_font : GTK_RC_TOKEN_TYPE is 
      do
         !!Result.make_gtk_enum("font")
      end
   gtk_rc_token_fontset : GTK_RC_TOKEN_TYPE is 
      do
         !!Result.make_gtk_enum("fontset")
      end
   gtk_rc_token_bg_pixmap : GTK_RC_TOKEN_TYPE is 
      do
         !!Result.make_gtk_enum("bg-pixmap")
      end
   gtk_rc_token_pixmap_path : GTK_RC_TOKEN_TYPE is 
      do
         !!Result.make_gtk_enum("pixmap-path")
      end
   gtk_rc_token_style : GTK_RC_TOKEN_TYPE is 
      do
         !!Result.make_gtk_enum("style")
      end
   gtk_rc_token_binding : GTK_RC_TOKEN_TYPE is 
      do
         !!Result.make_gtk_enum("binding")
      end
   gtk_rc_token_bind : GTK_RC_TOKEN_TYPE is 
      do
         !!Result.make_gtk_enum("bind")
      end
   gtk_rc_token_widget : GTK_RC_TOKEN_TYPE is 
      do
         !!Result.make_gtk_enum("widget")
      end
   gtk_rc_token_widget_class : GTK_RC_TOKEN_TYPE is 
      do
         !!Result.make_gtk_enum("widget-class")
      end
   gtk_rc_token_class : GTK_RC_TOKEN_TYPE is 
      do
         !!Result.make_gtk_enum("class")
      end
   gtk_rc_token_lowest : GTK_RC_TOKEN_TYPE is 
      do
         !!Result.make_gtk_enum("lowest")
      end
   gtk_rc_token_gtk : GTK_RC_TOKEN_TYPE is 
      do
         !!Result.make_gtk_enum("gtk")
      end
   gtk_rc_token_application : GTK_RC_TOKEN_TYPE is 
      do
         !!Result.make_gtk_enum("application")
      end
   gtk_rc_token_rc : GTK_RC_TOKEN_TYPE is 
      do
         !!Result.make_gtk_enum("rc")
      end
   gtk_rc_token_highest : GTK_RC_TOKEN_TYPE is 
      do
         !!Result.make_gtk_enum("highest")
      end
   gtk_rc_token_engine : GTK_RC_TOKEN_TYPE is 
      do
         !!Result.make_gtk_enum("engine")
      end
   gtk_rc_token_module_path : GTK_RC_TOKEN_TYPE is 
      do
         !!Result.make_gtk_enum("module-path")
      end
   gtk_rc_token_last : GTK_RC_TOKEN_TYPE is 
      do
         !!Result.make_gtk_enum("last")
      end
   gtk_update_always : GTK_SPIN_BUTTON_UPDATE_POLICY is 
      do
         !!Result.make_gtk_enum("always")
      end
   gtk_update_if_valid : GTK_SPIN_BUTTON_UPDATE_POLICY is 
      do
         !!Result.make_gtk_enum("if-valid")
      end
   gtk_spin_step_forward : GTK_SPIN_TYPE is 
      do
         !!Result.make_gtk_enum("step-forward")
      end
   gtk_spin_step_backward : GTK_SPIN_TYPE is 
      do
         !!Result.make_gtk_enum("step-backward")
      end
   gtk_spin_page_forward : GTK_SPIN_TYPE is 
      do
         !!Result.make_gtk_enum("page-forward")
      end
   gtk_spin_page_backward : GTK_SPIN_TYPE is 
      do
         !!Result.make_gtk_enum("page-backward")
      end
   gtk_spin_home : GTK_SPIN_TYPE is 
      do
         !!Result.make_gtk_enum("home")
      end
   gtk_spin_end : GTK_SPIN_TYPE is 
      do
         !!Result.make_gtk_enum("end")
      end
   gtk_spin_user_defined : GTK_SPIN_TYPE is 
      do
         !!Result.make_gtk_enum("user-defined")
      end
   gtk_toolbar_child_space : GTK_TOOLBAR_CHILD_TYPE is 
      do
         !!Result.make_gtk_enum("space")
      end
   gtk_toolbar_child_button : GTK_TOOLBAR_CHILD_TYPE is 
      do
         !!Result.make_gtk_enum("button")
      end
   gtk_toolbar_child_togglebutton : GTK_TOOLBAR_CHILD_TYPE is 
      do
         !!Result.make_gtk_enum("togglebutton")
      end
   gtk_toolbar_child_radiobutton : GTK_TOOLBAR_CHILD_TYPE is 
      do
         !!Result.make_gtk_enum("radiobutton")
      end
   gtk_toolbar_child_widget : GTK_TOOLBAR_CHILD_TYPE is 
      do
         !!Result.make_gtk_enum("widget")
      end
   gtk_toolbar_space_empty : GTK_TOOLBAR_SPACE_STYLE is 
      do
         !!Result.make_gtk_enum("empty")
      end
   gtk_toolbar_space_line : GTK_TOOLBAR_SPACE_STYLE is 
      do
         !!Result.make_gtk_enum("line")
      end
   gtk_tree_view_line : GTK_TREE_VIEW_MODE is 
      do
         !!Result.make_gtk_enum("line")
      end
   gtk_tree_view_item : GTK_TREE_VIEW_MODE is 
      do
         !!Result.make_gtk_enum("item")
      end
   gtk_type_invalid : GTK_FUNDAMENTAL_TYPE is 
      do
         !!Result.make_gtk_enum("invalid")
      end
   gtk_type_none : GTK_FUNDAMENTAL_TYPE is 
      do
         !!Result.make_gtk_enum("none")
      end
   gtk_type_char : GTK_FUNDAMENTAL_TYPE is 
      do
         !!Result.make_gtk_enum("char")
      end
   gtk_type_uchar : GTK_FUNDAMENTAL_TYPE is 
      do
         !!Result.make_gtk_enum("uchar")
      end
   gtk_type_bool : GTK_FUNDAMENTAL_TYPE is 
      do
         !!Result.make_gtk_enum("bool")
      end
   gtk_type_int : GTK_FUNDAMENTAL_TYPE is 
      do
         !!Result.make_gtk_enum("int")
      end
   gtk_type_uint : GTK_FUNDAMENTAL_TYPE is 
      do
         !!Result.make_gtk_enum("uint")
      end
   gtk_type_long : GTK_FUNDAMENTAL_TYPE is 
      do
         !!Result.make_gtk_enum("long")
      end
   gtk_type_ulong : GTK_FUNDAMENTAL_TYPE is 
      do
         !!Result.make_gtk_enum("ulong")
      end
   gtk_type_float : GTK_FUNDAMENTAL_TYPE is 
      do
         !!Result.make_gtk_enum("float")
      end
   gtk_type_double : GTK_FUNDAMENTAL_TYPE is 
      do
         !!Result.make_gtk_enum("double")
      end
   gtk_type_string : GTK_FUNDAMENTAL_TYPE is 
      do
         !!Result.make_gtk_enum("string")
      end
   gtk_type_enum : GTK_FUNDAMENTAL_TYPE is 
      do
         !!Result.make_gtk_enum("enum")
      end
   gtk_type_flags : GTK_FUNDAMENTAL_TYPE is 
      do
         !!Result.make_gtk_enum("flags")
      end
   gtk_type_boxed : GTK_FUNDAMENTAL_TYPE is 
      do
         !!Result.make_gtk_enum("boxed")
      end
   gtk_type_pointer : GTK_FUNDAMENTAL_TYPE is 
      do
         !!Result.make_gtk_enum("pointer")
      end
   gtk_type_signal : GTK_FUNDAMENTAL_TYPE is 
      do
         !!Result.make_gtk_enum("signal")
      end
   gtk_type_args : GTK_FUNDAMENTAL_TYPE is 
      do
         !!Result.make_gtk_enum("args")
      end
   gtk_type_callback : GTK_FUNDAMENTAL_TYPE is 
      do
         !!Result.make_gtk_enum("callback")
      end
   gtk_type_c_callback : GTK_FUNDAMENTAL_TYPE is 
      do
         !!Result.make_gtk_enum("c-callback")
      end
   gtk_type_foreign : GTK_FUNDAMENTAL_TYPE is 
      do
         !!Result.make_gtk_enum("foreign")
      end
   gtk_type_object : GTK_FUNDAMENTAL_TYPE is 
      do
         !!Result.make_gtk_enum("object")
      end
   gtk_toplevel : GTK_WIDGET_FLAGS is 
      do
         !!Result.make_gtk_flag("toplevel")
      end
   gtk_no_window : GTK_WIDGET_FLAGS is 
      do
         !!Result.make_gtk_flag("no-window")
      end
   gtk_realized : GTK_WIDGET_FLAGS is 
      do
         !!Result.make_gtk_flag("realized")
      end
   gtk_mapped : GTK_WIDGET_FLAGS is 
      do
         !!Result.make_gtk_flag("mapped")
      end
   gtk_visible : GTK_WIDGET_FLAGS is 
      do
         !!Result.make_gtk_flag("visible")
      end
   gtk_sensitive : GTK_WIDGET_FLAGS is 
      do
         !!Result.make_gtk_flag("sensitive")
      end
   gtk_parent_sensitive : GTK_WIDGET_FLAGS is 
      do
         !!Result.make_gtk_flag("parent-sensitive")
      end
   gtk_can_focus : GTK_WIDGET_FLAGS is 
      do
         !!Result.make_gtk_flag("can-focus")
      end
   gtk_has_focus : GTK_WIDGET_FLAGS is 
      do
         !!Result.make_gtk_flag("has-focus")
      end
   gtk_can_default : GTK_WIDGET_FLAGS is 
      do
         !!Result.make_gtk_flag("can-default")
      end
   gtk_has_default : GTK_WIDGET_FLAGS is 
      do
         !!Result.make_gtk_flag("has-default")
      end
   gtk_has_grab : GTK_WIDGET_FLAGS is 
      do
         !!Result.make_gtk_flag("has-grab")
      end
   gtk_rc_style : GTK_WIDGET_FLAGS is 
      do
         !!Result.make_gtk_flag("rc-style")
      end
   gtk_composite_child : GTK_WIDGET_FLAGS is 
      do
         !!Result.make_gtk_flag("composite-child")
      end
   gtk_no_reparent : GTK_WIDGET_FLAGS is 
      do
         !!Result.make_gtk_flag("no-reparent")
      end
   gtk_app_paintable : GTK_WIDGET_FLAGS is 
      do
         !!Result.make_gtk_flag("app-paintable")
      end
   gdk_window_root : GDK_WINDOW_TYPE is 
      do
         !!Result.make_gtk_enum("root")
      end
   gdk_window_toplevel : GDK_WINDOW_TYPE is 
      do
         !!Result.make_gtk_enum("toplevel")
      end
   gdk_window_child : GDK_WINDOW_TYPE is 
      do
         !!Result.make_gtk_enum("child")
      end
   gdk_window_dialog : GDK_WINDOW_TYPE is 
      do
         !!Result.make_gtk_enum("dialog")
      end
   gdk_window_temp : GDK_WINDOW_TYPE is 
      do
         !!Result.make_gtk_enum("temp")
      end
   gdk_window_pixmap : GDK_WINDOW_TYPE is 
      do
         !!Result.make_gtk_enum("pixmap")
      end
   gdk_window_foreign : GDK_WINDOW_TYPE is 
      do
         !!Result.make_gtk_enum("foreign")
      end
   gdk_input_output : GDK_WINDOW_CLASS is 
      do
         !!Result.make_gtk_enum("output")
      end
   gdk_input_only : GDK_WINDOW_CLASS is 
      do
         !!Result.make_gtk_enum("only")
      end
   gdk_image_normal : GDK_IMAGE_TYPE is 
      do
         !!Result.make_gtk_enum("normal")
      end
   gdk_image_shared : GDK_IMAGE_TYPE is 
      do
         !!Result.make_gtk_enum("shared")
      end
   gdk_image_fastest : GDK_IMAGE_TYPE is 
      do
         !!Result.make_gtk_enum("fastest")
      end
   gdk_visual_static_gray : GDK_VISUAL_TYPE is 
      do
         !!Result.make_gtk_enum("static-gray")
      end
   gdk_visual_grayscale : GDK_VISUAL_TYPE is 
      do
         !!Result.make_gtk_enum("grayscale")
      end
   gdk_visual_static_color : GDK_VISUAL_TYPE is 
      do
         !!Result.make_gtk_enum("static-color")
      end
   gdk_visual_pseudo_color : GDK_VISUAL_TYPE is 
      do
         !!Result.make_gtk_enum("pseudo-color")
      end
   gdk_visual_true_color : GDK_VISUAL_TYPE is 
      do
         !!Result.make_gtk_enum("true-color")
      end
   gdk_visual_direct_color : GDK_VISUAL_TYPE is 
      do
         !!Result.make_gtk_enum("direct-color")
      end
   gdk_font_font : GDK_FONT_TYPE is 
      do
         !!Result.make_gtk_enum("font")
      end
   gdk_font_fontset : GDK_FONT_TYPE is 
      do
         !!Result.make_gtk_enum("fontset")
      end
   gdk_wa_title : GDK_WINDOW_ATTRIBUTES_TYPE is 
      do
         !!Result.make_gtk_flag("title")
      end
   gdk_wa_x : GDK_WINDOW_ATTRIBUTES_TYPE is 
      do
         !!Result.make_gtk_flag("x")
      end
   gdk_wa_y : GDK_WINDOW_ATTRIBUTES_TYPE is 
      do
         !!Result.make_gtk_flag("y")
      end
   gdk_wa_cursor : GDK_WINDOW_ATTRIBUTES_TYPE is 
      do
         !!Result.make_gtk_flag("cursor")
      end
   gdk_wa_colormap : GDK_WINDOW_ATTRIBUTES_TYPE is 
      do
         !!Result.make_gtk_flag("colormap")
      end
   gdk_wa_visual : GDK_WINDOW_ATTRIBUTES_TYPE is 
      do
         !!Result.make_gtk_flag("visual")
      end
   gdk_wa_wmclass : GDK_WINDOW_ATTRIBUTES_TYPE is 
      do
         !!Result.make_gtk_flag("wmclass")
      end
   gdk_wa_noredir : GDK_WINDOW_ATTRIBUTES_TYPE is 
      do
         !!Result.make_gtk_flag("noredir")
      end
   gdk_hint_pos : GDK_WINDOW_HINTS is 
      do
         !!Result.make_gtk_flag("pos")
      end
   gdk_hint_min_size : GDK_WINDOW_HINTS is 
      do
         !!Result.make_gtk_flag("min-size")
      end
   gdk_hint_max_size : GDK_WINDOW_HINTS is 
      do
         !!Result.make_gtk_flag("max-size")
      end
   gdk_hint_base_size : GDK_WINDOW_HINTS is 
      do
         !!Result.make_gtk_flag("base-size")
      end
   gdk_hint_aspect : GDK_WINDOW_HINTS is 
      do
         !!Result.make_gtk_flag("aspect")
      end
   gdk_hint_resize_inc : GDK_WINDOW_HINTS is 
      do
         !!Result.make_gtk_flag("resize-inc")
      end
   gdk_copy : GDK_FUNCTION is 
      do
         !!Result.make_gtk_enum("copy")
      end
   gdk_invert : GDK_FUNCTION is 
      do
         !!Result.make_gtk_enum("invert")
      end
   gdk_xor : GDK_FUNCTION is 
      do
         !!Result.make_gtk_enum("xor")
      end
   gdk_clear : GDK_FUNCTION is 
      do
         !!Result.make_gtk_enum("clear")
      end
   gdk_and : GDK_FUNCTION is 
      do
         !!Result.make_gtk_enum("and")
      end
   gdk_and_reverse : GDK_FUNCTION is 
      do
         !!Result.make_gtk_enum("and-reverse")
      end
   gdk_and_invert : GDK_FUNCTION is 
      do
         !!Result.make_gtk_enum("and-invert")
      end
   gdk_noop : GDK_FUNCTION is 
      do
         !!Result.make_gtk_enum("noop")
      end
   gdk_or : GDK_FUNCTION is 
      do
         !!Result.make_gtk_enum("or")
      end
   gdk_equiv : GDK_FUNCTION is 
      do
         !!Result.make_gtk_enum("equiv")
      end
   gdk_or_reverse : GDK_FUNCTION is 
      do
         !!Result.make_gtk_enum("or-reverse")
      end
   gdk_copy_invert : GDK_FUNCTION is 
      do
         !!Result.make_gtk_enum("copy-invert")
      end
   gdk_or_invert : GDK_FUNCTION is 
      do
         !!Result.make_gtk_enum("or-invert")
      end
   gdk_nand : GDK_FUNCTION is 
      do
         !!Result.make_gtk_enum("nand")
      end
   gdk_set : GDK_FUNCTION is 
      do
         !!Result.make_gtk_enum("set")
      end
   gdk_solid : GDK_FILL is 
      do
         !!Result.make_gtk_enum("solid")
      end
   gdk_tiled : GDK_FILL is 
      do
         !!Result.make_gtk_enum("tiled")
      end
   gdk_stippled : GDK_FILL is 
      do
         !!Result.make_gtk_enum("stippled")
      end
   gdk_opaque_stippled : GDK_FILL is 
      do
         !!Result.make_gtk_enum("opaque-stippled")
      end
   gdk_even_odd_rule : GDK_FILL_RULE is 
      do
         !!Result.make_gtk_enum("even-odd-rule")
      end
   gdk_winding_rule : GDK_FILL_RULE is 
      do
         !!Result.make_gtk_enum("winding-rule")
      end
   gdk_line_solid : GDK_LINE_STYLE is 
      do
         !!Result.make_gtk_enum("solid")
      end
   gdk_line_on_off_dash : GDK_LINE_STYLE is 
      do
         !!Result.make_gtk_enum("on-off-dash")
      end
   gdk_line_double_dash : GDK_LINE_STYLE is 
      do
         !!Result.make_gtk_enum("double-dash")
      end
   gdk_cap_not_last : GDK_CAP_STYLE is 
      do
         !!Result.make_gtk_enum("not-last")
      end
   gdk_cap_butt : GDK_CAP_STYLE is 
      do
         !!Result.make_gtk_enum("butt")
      end
   gdk_cap_round : GDK_CAP_STYLE is 
      do
         !!Result.make_gtk_enum("round")
      end
   gdk_cap_projecting : GDK_CAP_STYLE is 
      do
         !!Result.make_gtk_enum("projecting")
      end
   gdk_join_miter : GDK_JOIN_STYLE is 
      do
         !!Result.make_gtk_enum("miter")
      end
   gdk_join_round : GDK_JOIN_STYLE is 
      do
         !!Result.make_gtk_enum("round")
      end
   gdk_join_bevel : GDK_JOIN_STYLE is 
      do
         !!Result.make_gtk_enum("bevel")
      end
   gdk_num_glyphs : GDK_CURSOR_TYPE is 
      do
         !!Result.make_gtk_enum("num-glyphs")
      end
   gdk_x_cursor : GDK_CURSOR_TYPE is 
      do
         !!Result.make_gtk_enum("x-cursor")
      end
   gdk_arrow : GDK_CURSOR_TYPE is 
      do
         !!Result.make_gtk_enum("arrow")
      end
   gdk_based_arrow_down : GDK_CURSOR_TYPE is 
      do
         !!Result.make_gtk_enum("based-arrow-down")
      end
   gdk_based_arrow_up : GDK_CURSOR_TYPE is 
      do
         !!Result.make_gtk_enum("based-arrow-up")
      end
   gdk_boat : GDK_CURSOR_TYPE is 
      do
         !!Result.make_gtk_enum("boat")
      end
   gdk_bogosity : GDK_CURSOR_TYPE is 
      do
         !!Result.make_gtk_enum("bogosity")
      end
   gdk_bottom_left_corner : GDK_CURSOR_TYPE is 
      do
         !!Result.make_gtk_enum("bottom-left-corner")
      end
   gdk_bottom_right_corner : GDK_CURSOR_TYPE is 
      do
         !!Result.make_gtk_enum("bottom-right-corner")
      end
   gdk_bottom_side : GDK_CURSOR_TYPE is 
      do
         !!Result.make_gtk_enum("bottom-side")
      end
   gdk_bottom_tee : GDK_CURSOR_TYPE is 
      do
         !!Result.make_gtk_enum("bottom-tee")
      end
   gdk_box_spiral : GDK_CURSOR_TYPE is 
      do
         !!Result.make_gtk_enum("box-spiral")
      end
   gdk_center_ptr : GDK_CURSOR_TYPE is 
      do
         !!Result.make_gtk_enum("center-ptr")
      end
   gdk_circle : GDK_CURSOR_TYPE is 
      do
         !!Result.make_gtk_enum("circle")
      end
   gdk_clock : GDK_CURSOR_TYPE is 
      do
         !!Result.make_gtk_enum("clock")
      end
   gdk_coffee_mug : GDK_CURSOR_TYPE is 
      do
         !!Result.make_gtk_enum("coffee-mug")
      end
   gdk_cross : GDK_CURSOR_TYPE is 
      do
         !!Result.make_gtk_enum("cross")
      end
   gdk_cross_reverse : GDK_CURSOR_TYPE is 
      do
         !!Result.make_gtk_enum("cross-reverse")
      end
   gdk_crosshair : GDK_CURSOR_TYPE is 
      do
         !!Result.make_gtk_enum("crosshair")
      end
   gdk_diamond_cross : GDK_CURSOR_TYPE is 
      do
         !!Result.make_gtk_enum("diamond-cross")
      end
   gdk_dot : GDK_CURSOR_TYPE is 
      do
         !!Result.make_gtk_enum("dot")
      end
   gdk_dotbox : GDK_CURSOR_TYPE is 
      do
         !!Result.make_gtk_enum("dotbox")
      end
   gdk_double_arrow : GDK_CURSOR_TYPE is 
      do
         !!Result.make_gtk_enum("double-arrow")
      end
   gdk_draft_large : GDK_CURSOR_TYPE is 
      do
         !!Result.make_gtk_enum("draft-large")
      end
   gdk_draft_small : GDK_CURSOR_TYPE is 
      do
         !!Result.make_gtk_enum("draft-small")
      end
   gdk_draped_box : GDK_CURSOR_TYPE is 
      do
         !!Result.make_gtk_enum("draped-box")
      end
   gdk_exchange : GDK_CURSOR_TYPE is 
      do
         !!Result.make_gtk_enum("exchange")
      end
   gdk_fleur : GDK_CURSOR_TYPE is 
      do
         !!Result.make_gtk_enum("fleur")
      end
   gdk_gobbler : GDK_CURSOR_TYPE is 
      do
         !!Result.make_gtk_enum("gobbler")
      end
   gdk_gumby : GDK_CURSOR_TYPE is 
      do
         !!Result.make_gtk_enum("gumby")
      end
   gdk_hand1 : GDK_CURSOR_TYPE is 
      do
         !!Result.make_gtk_enum("hand1")
      end
   gdk_hand2 : GDK_CURSOR_TYPE is 
      do
         !!Result.make_gtk_enum("hand2")
      end
   gdk_heart : GDK_CURSOR_TYPE is 
      do
         !!Result.make_gtk_enum("heart")
      end
   gdk_icon : GDK_CURSOR_TYPE is 
      do
         !!Result.make_gtk_enum("icon")
      end
   gdk_iron_cross : GDK_CURSOR_TYPE is 
      do
         !!Result.make_gtk_enum("iron-cross")
      end
   gdk_left_ptr : GDK_CURSOR_TYPE is 
      do
         !!Result.make_gtk_enum("left-ptr")
      end
   gdk_left_side : GDK_CURSOR_TYPE is 
      do
         !!Result.make_gtk_enum("left-side")
      end
   gdk_left_tee : GDK_CURSOR_TYPE is 
      do
         !!Result.make_gtk_enum("left-tee")
      end
   gdk_leftbutton : GDK_CURSOR_TYPE is 
      do
         !!Result.make_gtk_enum("leftbutton")
      end
   gdk_ll_angle : GDK_CURSOR_TYPE is 
      do
         !!Result.make_gtk_enum("ll-angle")
      end
   gdk_lr_angle : GDK_CURSOR_TYPE is 
      do
         !!Result.make_gtk_enum("lr-angle")
      end
   gdk_man : GDK_CURSOR_TYPE is 
      do
         !!Result.make_gtk_enum("man")
      end
   gdk_middlebutton : GDK_CURSOR_TYPE is 
      do
         !!Result.make_gtk_enum("middlebutton")
      end
   gdk_mouse : GDK_CURSOR_TYPE is 
      do
         !!Result.make_gtk_enum("mouse")
      end
   gdk_pencil : GDK_CURSOR_TYPE is 
      do
         !!Result.make_gtk_enum("pencil")
      end
   gdk_pirate : GDK_CURSOR_TYPE is 
      do
         !!Result.make_gtk_enum("pirate")
      end
   gdk_plus : GDK_CURSOR_TYPE is 
      do
         !!Result.make_gtk_enum("plus")
      end
   gdk_question_arrow : GDK_CURSOR_TYPE is 
      do
         !!Result.make_gtk_enum("question-arrow")
      end
   gdk_right_ptr : GDK_CURSOR_TYPE is 
      do
         !!Result.make_gtk_enum("right-ptr")
      end
   gdk_right_side : GDK_CURSOR_TYPE is 
      do
         !!Result.make_gtk_enum("right-side")
      end
   gdk_right_tee : GDK_CURSOR_TYPE is 
      do
         !!Result.make_gtk_enum("right-tee")
      end
   gdk_rightbutton : GDK_CURSOR_TYPE is 
      do
         !!Result.make_gtk_enum("rightbutton")
      end
   gdk_rtl_logo : GDK_CURSOR_TYPE is 
      do
         !!Result.make_gtk_enum("rtl-logo")
      end
   gdk_sailboat : GDK_CURSOR_TYPE is 
      do
         !!Result.make_gtk_enum("sailboat")
      end
   gdk_sb_down_arrow : GDK_CURSOR_TYPE is 
      do
         !!Result.make_gtk_enum("sb-down-arrow")
      end
   gdk_sb_h_double_arrow : GDK_CURSOR_TYPE is 
      do
         !!Result.make_gtk_enum("sb-h-double-arrow")
      end
   gdk_sb_left_arrow : GDK_CURSOR_TYPE is 
      do
         !!Result.make_gtk_enum("sb-left-arrow")
      end
   gdk_sb_right_arrow : GDK_CURSOR_TYPE is 
      do
         !!Result.make_gtk_enum("sb-right-arrow")
      end
   gdk_sb_up_arrow : GDK_CURSOR_TYPE is 
      do
         !!Result.make_gtk_enum("sb-up-arrow")
      end
   gdk_sb_v_double_arrow : GDK_CURSOR_TYPE is 
      do
         !!Result.make_gtk_enum("sb-v-double-arrow")
      end
   gdk_shuttle : GDK_CURSOR_TYPE is 
      do
         !!Result.make_gtk_enum("shuttle")
      end
   gdk_sizing : GDK_CURSOR_TYPE is 
      do
         !!Result.make_gtk_enum("sizing")
      end
   gdk_spider : GDK_CURSOR_TYPE is 
      do
         !!Result.make_gtk_enum("spider")
      end
   gdk_spraycan : GDK_CURSOR_TYPE is 
      do
         !!Result.make_gtk_enum("spraycan")
      end
   gdk_star : GDK_CURSOR_TYPE is 
      do
         !!Result.make_gtk_enum("star")
      end
   gdk_target : GDK_CURSOR_TYPE is 
      do
         !!Result.make_gtk_enum("target")
      end
   gdk_tcross : GDK_CURSOR_TYPE is 
      do
         !!Result.make_gtk_enum("tcross")
      end
   gdk_top_left_arrow : GDK_CURSOR_TYPE is 
      do
         !!Result.make_gtk_enum("top-left-arrow")
      end
   gdk_top_left_corner : GDK_CURSOR_TYPE is 
      do
         !!Result.make_gtk_enum("top-left-corner")
      end
   gdk_top_right_corner : GDK_CURSOR_TYPE is 
      do
         !!Result.make_gtk_enum("top-right-corner")
      end
   gdk_top_side : GDK_CURSOR_TYPE is 
      do
         !!Result.make_gtk_enum("top-side")
      end
   gdk_top_tee : GDK_CURSOR_TYPE is 
      do
         !!Result.make_gtk_enum("top-tee")
      end
   gdk_trek : GDK_CURSOR_TYPE is 
      do
         !!Result.make_gtk_enum("trek")
      end
   gdk_ul_angle : GDK_CURSOR_TYPE is 
      do
         !!Result.make_gtk_enum("ul-angle")
      end
   gdk_umbrella : GDK_CURSOR_TYPE is 
      do
         !!Result.make_gtk_enum("umbrella")
      end
   gdk_ur_angle : GDK_CURSOR_TYPE is 
      do
         !!Result.make_gtk_enum("ur-angle")
      end
   gdk_watch : GDK_CURSOR_TYPE is 
      do
         !!Result.make_gtk_enum("watch")
      end
   gdk_xterm : GDK_CURSOR_TYPE is 
      do
         !!Result.make_gtk_enum("xterm")
      end
   gdk_last_cursor : GDK_CURSOR_TYPE is 
      do
         !!Result.make_gtk_enum("last-cursor")
      end
   gdk_cursor_is_pixmap : GDK_CURSOR_TYPE is 
      do
         !!Result.make_gtk_enum("cursor-is-pixmap")
      end
   gdk_filter_continue : GDK_FILTER_RETURN is 
      do
         !!Result.make_gtk_enum("continue")
      end
   gdk_filter_translate : GDK_FILTER_RETURN is 
      do
         !!Result.make_gtk_enum("translate")
      end
   gdk_filter_remove : GDK_FILTER_RETURN is 
      do
         !!Result.make_gtk_enum("remove")
      end
   gdk_visibility_unobscured : GDK_VISIBILITY_STATE is 
      do
         !!Result.make_gtk_enum("unobscured")
      end
   gdk_visibility_partial : GDK_VISIBILITY_STATE is 
      do
         !!Result.make_gtk_enum("partial")
      end
   gdk_visibility_fully_obscured : GDK_VISIBILITY_STATE is 
      do
         !!Result.make_gtk_enum("fully-obscured")
      end
   gdk_nothing : GDK_EVENT_TYPE is 
      do
         !!Result.make_gtk_enum("nothing")
      end
   gdk_delete : GDK_EVENT_TYPE is 
      do
         !!Result.make_gtk_enum("delete")
      end
   gdk_destroy : GDK_EVENT_TYPE is 
      do
         !!Result.make_gtk_enum("destroy")
      end
   gdk_expose : GDK_EVENT_TYPE is 
      do
         !!Result.make_gtk_enum("expose")
      end
   gdk_motion_notify : GDK_EVENT_TYPE is 
      do
         !!Result.make_gtk_enum("motion-notify")
      end
   gdk_button_press : GDK_EVENT_TYPE is 
      do
         !!Result.make_gtk_enum("button-press")
      end
   gdk_2button_press : GDK_EVENT_TYPE is 
      do
         !!Result.make_gtk_enum("2button-press")
      end
   gdk_3button_press : GDK_EVENT_TYPE is 
      do
         !!Result.make_gtk_enum("3button-press")
      end
   gdk_button_release : GDK_EVENT_TYPE is 
      do
         !!Result.make_gtk_enum("button-release")
      end
   gdk_key_press : GDK_EVENT_TYPE is 
      do
         !!Result.make_gtk_enum("key-press")
      end
   gdk_key_release : GDK_EVENT_TYPE is 
      do
         !!Result.make_gtk_enum("key-release")
      end
   gdk_enter_notify : GDK_EVENT_TYPE is 
      do
         !!Result.make_gtk_enum("enter-notify")
      end
   gdk_leave_notify : GDK_EVENT_TYPE is 
      do
         !!Result.make_gtk_enum("leave-notify")
      end
   gdk_focus_change : GDK_EVENT_TYPE is 
      do
         !!Result.make_gtk_enum("focus-change")
      end
   gdk_configure : GDK_EVENT_TYPE is 
      do
         !!Result.make_gtk_enum("configure")
      end
   gdk_map : GDK_EVENT_TYPE is 
      do
         !!Result.make_gtk_enum("map")
      end
   gdk_unmap : GDK_EVENT_TYPE is 
      do
         !!Result.make_gtk_enum("unmap")
      end
   gdk_property_notify : GDK_EVENT_TYPE is 
      do
         !!Result.make_gtk_enum("property-notify")
      end
   gdk_selection_clear : GDK_EVENT_TYPE is 
      do
         !!Result.make_gtk_enum("selection-clear")
      end
   gdk_selection_request : GDK_EVENT_TYPE is 
      do
         !!Result.make_gtk_enum("selection-request")
      end
   gdk_selection_notify : GDK_EVENT_TYPE is 
      do
         !!Result.make_gtk_enum("selection-notify")
      end
   gdk_proximity_in : GDK_EVENT_TYPE is 
      do
         !!Result.make_gtk_enum("proximity-in")
      end
   gdk_proximity_out : GDK_EVENT_TYPE is 
      do
         !!Result.make_gtk_enum("proximity-out")
      end
   gdk_drag_enter : GDK_EVENT_TYPE is 
      do
         !!Result.make_gtk_enum("drag-enter")
      end
   gdk_drag_leave : GDK_EVENT_TYPE is 
      do
         !!Result.make_gtk_enum("drag-leave")
      end
   gdk_drag_motion : GDK_EVENT_TYPE is 
      do
         !!Result.make_gtk_enum("drag-motion")
      end
   gdk_drag_status : GDK_EVENT_TYPE is 
      do
         !!Result.make_gtk_enum("drag-status")
      end
   gdk_drop_start : GDK_EVENT_TYPE is 
      do
         !!Result.make_gtk_enum("drop-start")
      end
   gdk_drop_finished : GDK_EVENT_TYPE is 
      do
         !!Result.make_gtk_enum("drop-finished")
      end
   gdk_client_event : GDK_EVENT_TYPE is 
      do
         !!Result.make_gtk_enum("client-event")
      end
   gdk_visibility_notify : GDK_EVENT_TYPE is 
      do
         !!Result.make_gtk_enum("visibility-notify")
      end
   gdk_no_expose : GDK_EVENT_TYPE is 
      do
         !!Result.make_gtk_enum("no-expose")
      end
   gdk_exposure_mask : GDK_EVENT_MASK is 
      do
         !!Result.make_gtk_flag("exposure-mask")
      end
   gdk_pointer_motion_mask : GDK_EVENT_MASK is 
      do
         !!Result.make_gtk_flag("pointer-motion-mask")
      end
   gdk_pointer_motion_hint_mask : GDK_EVENT_MASK is 
      do
         !!Result.make_gtk_flag("pointer-motion-hint-mask")
      end
   gdk_button_motion_mask : GDK_EVENT_MASK is 
      do
         !!Result.make_gtk_flag("button-motion-mask")
      end
   gdk_button1_motion_mask : GDK_EVENT_MASK is 
      do
         !!Result.make_gtk_flag("button1-motion-mask")
      end
   gdk_button2_motion_mask : GDK_EVENT_MASK is 
      do
         !!Result.make_gtk_flag("button2-motion-mask")
      end
   gdk_button3_motion_mask : GDK_EVENT_MASK is 
      do
         !!Result.make_gtk_flag("button3-motion-mask")
      end
   gdk_button_press_mask : GDK_EVENT_MASK is 
      do
         !!Result.make_gtk_flag("button-press-mask")
      end
   gdk_button_release_mask : GDK_EVENT_MASK is 
      do
         !!Result.make_gtk_flag("button-release-mask")
      end
   gdk_key_press_mask : GDK_EVENT_MASK is 
      do
         !!Result.make_gtk_flag("key-press-mask")
      end
   gdk_key_release_mask : GDK_EVENT_MASK is 
      do
         !!Result.make_gtk_flag("key-release-mask")
      end
   gdk_enter_notify_mask : GDK_EVENT_MASK is 
      do
         !!Result.make_gtk_flag("enter-notify-mask")
      end
   gdk_leave_notify_mask : GDK_EVENT_MASK is 
      do
         !!Result.make_gtk_flag("leave-notify-mask")
      end
   gdk_focus_change_mask : GDK_EVENT_MASK is 
      do
         !!Result.make_gtk_flag("focus-change-mask")
      end
   gdk_structure_mask : GDK_EVENT_MASK is 
      do
         !!Result.make_gtk_flag("structure-mask")
      end
   gdk_property_change_mask : GDK_EVENT_MASK is 
      do
         !!Result.make_gtk_flag("property-change-mask")
      end
   gdk_visibility_notify_mask : GDK_EVENT_MASK is 
      do
         !!Result.make_gtk_flag("visibility-notify-mask")
      end
   gdk_proximity_in_mask : GDK_EVENT_MASK is 
      do
         !!Result.make_gtk_flag("proximity-in-mask")
      end
   gdk_proximity_out_mask : GDK_EVENT_MASK is 
      do
         !!Result.make_gtk_flag("proximity-out-mask")
      end
   gdk_substructure_mask : GDK_EVENT_MASK is 
      do
         !!Result.make_gtk_flag("substructure-mask")
      end
   gdk_all_events_mask : GDK_EVENT_MASK is 
      do
         !!Result.make_gtk_flag("all-events-mask")
      end
   gdk_notify_ancestor : GDK_NOTIFY_TYPE is 
      do
         !!Result.make_gtk_enum("ancestor")
      end
   gdk_notify_virtual : GDK_NOTIFY_TYPE is 
      do
         !!Result.make_gtk_enum("virtual")
      end
   gdk_notify_inferior : GDK_NOTIFY_TYPE is 
      do
         !!Result.make_gtk_enum("inferior")
      end
   gdk_notify_nonlinear : GDK_NOTIFY_TYPE is 
      do
         !!Result.make_gtk_enum("nonlinear")
      end
   gdk_notify_nonlinear_virtual : GDK_NOTIFY_TYPE is 
      do
         !!Result.make_gtk_enum("nonlinear-virtual")
      end
   gdk_notify_unknown : GDK_NOTIFY_TYPE is 
      do
         !!Result.make_gtk_enum("unknown")
      end
   gdk_crossing_normal : GDK_CROSSING_MODE is 
      do
         !!Result.make_gtk_enum("normal")
      end
   gdk_crossing_grab : GDK_CROSSING_MODE is 
      do
         !!Result.make_gtk_enum("grab")
      end
   gdk_crossing_ungrab : GDK_CROSSING_MODE is 
      do
         !!Result.make_gtk_enum("ungrab")
      end
   gdk_shift_mask : GDK_MODIFIER_TYPE is 
      do
         !!Result.make_gtk_flag("shift-mask")
      end
   gdk_lock_mask : GDK_MODIFIER_TYPE is 
      do
         !!Result.make_gtk_flag("lock-mask")
      end
   gdk_control_mask : GDK_MODIFIER_TYPE is 
      do
         !!Result.make_gtk_flag("control-mask")
      end
   gdk_mod1_mask : GDK_MODIFIER_TYPE is 
      do
         !!Result.make_gtk_flag("mod1-mask")
      end
   gdk_mod2_mask : GDK_MODIFIER_TYPE is 
      do
         !!Result.make_gtk_flag("mod2-mask")
      end
   gdk_mod3_mask : GDK_MODIFIER_TYPE is 
      do
         !!Result.make_gtk_flag("mod3-mask")
      end
   gdk_mod4_mask : GDK_MODIFIER_TYPE is 
      do
         !!Result.make_gtk_flag("mod4-mask")
      end
   gdk_mod5_mask : GDK_MODIFIER_TYPE is 
      do
         !!Result.make_gtk_flag("mod5-mask")
      end
   gdk_button1_mask : GDK_MODIFIER_TYPE is 
      do
         !!Result.make_gtk_flag("button1-mask")
      end
   gdk_button2_mask : GDK_MODIFIER_TYPE is 
      do
         !!Result.make_gtk_flag("button2-mask")
      end
   gdk_button3_mask : GDK_MODIFIER_TYPE is 
      do
         !!Result.make_gtk_flag("button3-mask")
      end
   gdk_button4_mask : GDK_MODIFIER_TYPE is 
      do
         !!Result.make_gtk_flag("button4-mask")
      end
   gdk_button5_mask : GDK_MODIFIER_TYPE is 
      do
         !!Result.make_gtk_flag("button5-mask")
      end
   gdk_release_mask : GDK_MODIFIER_TYPE is 
      do
         !!Result.make_gtk_flag("release-mask")
      end
   gdk_modifier_mask : GDK_MODIFIER_TYPE is 
      do
         !!Result.make_gtk_flag("modifier-mask")
      end
   gdk_clip_by_children : GDK_SUBWINDOW_MODE is 
      do
         !!Result.make_gtk_enum("clip-by-children")
      end
   gdk_include_inferiors : GDK_SUBWINDOW_MODE is 
      do
         !!Result.make_gtk_enum("include-inferiors")
      end
   gdk_input_read : GDK_INPUT_CONDITION is 
      do
         !!Result.make_gtk_flag("read")
      end
   gdk_input_write : GDK_INPUT_CONDITION is 
      do
         !!Result.make_gtk_flag("write")
      end
   gdk_input_exception : GDK_INPUT_CONDITION is 
      do
         !!Result.make_gtk_flag("exception")
      end
   gdk_ok : GDK_STATUS is 
      do
         !!Result.make_gtk_enum("ok")
      end
   gdk_error : GDK_STATUS is 
      do
         !!Result.make_gtk_enum("error")
      end
   gdk_error_param : GDK_STATUS is 
      do
         !!Result.make_gtk_enum("error-param")
      end
   gdk_error_file : GDK_STATUS is 
      do
         !!Result.make_gtk_enum("error-file")
      end
   gdk_error_mem : GDK_STATUS is 
      do
         !!Result.make_gtk_enum("error-mem")
      end
   gdk_lsb_first : GDK_BYTE_ORDER is 
      do
         !!Result.make_gtk_enum("lsb-first")
      end
   gdk_msb_first : GDK_BYTE_ORDER is 
      do
         !!Result.make_gtk_enum("msb-first")
      end
   gdk_gc_foreground : GDK_GCVALUES_MASK is 
      do
         !!Result.make_gtk_flag("foreground")
      end
   gdk_gc_background : GDK_GCVALUES_MASK is 
      do
         !!Result.make_gtk_flag("background")
      end
   gdk_gc_font : GDK_GCVALUES_MASK is 
      do
         !!Result.make_gtk_flag("font")
      end
   gdk_gc_function : GDK_GCVALUES_MASK is 
      do
         !!Result.make_gtk_flag("function")
      end
   gdk_gc_fill : GDK_GCVALUES_MASK is 
      do
         !!Result.make_gtk_flag("fill")
      end
   gdk_gc_tile : GDK_GCVALUES_MASK is 
      do
         !!Result.make_gtk_flag("tile")
      end
   gdk_gc_stipple : GDK_GCVALUES_MASK is 
      do
         !!Result.make_gtk_flag("stipple")
      end
   gdk_gc_clip_mask : GDK_GCVALUES_MASK is 
      do
         !!Result.make_gtk_flag("clip-mask")
      end
   gdk_gc_subwindow : GDK_GCVALUES_MASK is 
      do
         !!Result.make_gtk_flag("subwindow")
      end
   gdk_gc_ts_x_origin : GDK_GCVALUES_MASK is 
      do
         !!Result.make_gtk_flag("ts-x-origin")
      end
   gdk_gc_ts_y_origin : GDK_GCVALUES_MASK is 
      do
         !!Result.make_gtk_flag("ts-y-origin")
      end
   gdk_gc_clip_x_origin : GDK_GCVALUES_MASK is 
      do
         !!Result.make_gtk_flag("clip-x-origin")
      end
   gdk_gc_clip_y_origin : GDK_GCVALUES_MASK is 
      do
         !!Result.make_gtk_flag("clip-y-origin")
      end
   gdk_gc_exposures : GDK_GCVALUES_MASK is 
      do
         !!Result.make_gtk_flag("exposures")
      end
   gdk_gc_line_width : GDK_GCVALUES_MASK is 
      do
         !!Result.make_gtk_flag("line-width")
      end
   gdk_gc_line_style : GDK_GCVALUES_MASK is 
      do
         !!Result.make_gtk_flag("line-style")
      end
   gdk_gc_cap_style : GDK_GCVALUES_MASK is 
      do
         !!Result.make_gtk_flag("cap-style")
      end
   gdk_gc_join_style : GDK_GCVALUES_MASK is 
      do
         !!Result.make_gtk_flag("join-style")
      end
   gdk_selection_primary : GDK_SELECTION is 
      do
         !!Result.make_gtk_enum("primary")
      end
   gdk_selection_secondary : GDK_SELECTION is 
      do
         !!Result.make_gtk_enum("secondary")
      end
   gdk_property_new_value : GDK_PROPERTY_STATE is 
      do
         !!Result.make_gtk_enum("new-value")
      end
   gdk_property_delete : GDK_PROPERTY_STATE is 
      do
         !!Result.make_gtk_enum("delete")
      end
   gdk_prop_mode_replace : GDK_PROP_MODE is 
      do
         !!Result.make_gtk_enum("replace")
      end
   gdk_prop_mode_prepend : GDK_PROP_MODE is 
      do
         !!Result.make_gtk_enum("prepend")
      end
   gdk_prop_mode_append : GDK_PROP_MODE is 
      do
         !!Result.make_gtk_enum("append")
      end
   gdk_source_mouse : GDK_INPUT_SOURCE is 
      do
         !!Result.make_gtk_enum("mouse")
      end
   gdk_source_pen : GDK_INPUT_SOURCE is 
      do
         !!Result.make_gtk_enum("pen")
      end
   gdk_source_eraser : GDK_INPUT_SOURCE is 
      do
         !!Result.make_gtk_enum("eraser")
      end
   gdk_source_cursor : GDK_INPUT_SOURCE is 
      do
         !!Result.make_gtk_enum("cursor")
      end
   gdk_mode_disabled : GDK_INPUT_MODE is 
      do
         !!Result.make_gtk_enum("disabled")
      end
   gdk_mode_screen : GDK_INPUT_MODE is 
      do
         !!Result.make_gtk_enum("screen")
      end
   gdk_mode_window : GDK_INPUT_MODE is 
      do
         !!Result.make_gtk_enum("window")
      end
   gdk_axis_ignore : GDK_AXIS_USE is 
      do
         !!Result.make_gtk_enum("ignore")
      end
   gdk_axis_x : GDK_AXIS_USE is 
      do
         !!Result.make_gtk_enum("x")
      end
   gdk_axis_y : GDK_AXIS_USE is 
      do
         !!Result.make_gtk_enum("y")
      end
   gdk_axis_pressure : GDK_AXIS_USE is 
      do
         !!Result.make_gtk_enum("pressure")
      end
   gdk_axis_xtilt : GDK_AXIS_USE is 
      do
         !!Result.make_gtk_enum("xtilt")
      end
   gdk_axis_ytilt : GDK_AXIS_USE is 
      do
         !!Result.make_gtk_enum("ytilt")
      end
   gdk_axis_last : GDK_AXIS_USE is 
      do
         !!Result.make_gtk_enum("last")
      end
   gdk_target_bitmap : GDK_TARGET is 
      do
         !!Result.make_gtk_enum("bitmap")
      end
   gdk_target_colormap : GDK_TARGET is 
      do
         !!Result.make_gtk_enum("colormap")
      end
   gdk_target_drawable : GDK_TARGET is 
      do
         !!Result.make_gtk_enum("drawable")
      end
   gdk_target_pixmap : GDK_TARGET is 
      do
         !!Result.make_gtk_enum("pixmap")
      end
   gdk_target_string : GDK_TARGET is 
      do
         !!Result.make_gtk_enum("string")
      end
   gdk_selection_type_atom : GDK_SELECTION_TYPE is 
      do
         !!Result.make_gtk_enum("atom")
      end
   gdk_selection_type_bitmap : GDK_SELECTION_TYPE is 
      do
         !!Result.make_gtk_enum("bitmap")
      end
   gdk_selection_type_colormap : GDK_SELECTION_TYPE is 
      do
         !!Result.make_gtk_enum("colormap")
      end
   gdk_selection_type_drawable : GDK_SELECTION_TYPE is 
      do
         !!Result.make_gtk_enum("drawable")
      end
   gdk_selection_type_integer : GDK_SELECTION_TYPE is 
      do
         !!Result.make_gtk_enum("integer")
      end
   gdk_selection_type_pixmap : GDK_SELECTION_TYPE is 
      do
         !!Result.make_gtk_enum("pixmap")
      end
   gdk_selection_type_window : GDK_SELECTION_TYPE is 
      do
         !!Result.make_gtk_enum("window")
      end
   gdk_selection_type_string : GDK_SELECTION_TYPE is 
      do
         !!Result.make_gtk_enum("string")
      end
   gdk_extension_events_none : GDK_EXTENSION_MODE is 
      do
         !!Result.make_gtk_enum("none")
      end
   gdk_extension_events_all : GDK_EXTENSION_MODE is 
      do
         !!Result.make_gtk_enum("all")
      end
   gdk_extension_events_cursor : GDK_EXTENSION_MODE is 
      do
         !!Result.make_gtk_enum("cursor")
      end
   gdk_im_preedit_area : GDK_IMSTYLE is 
      do
         !!Result.make_gtk_flag("preedit-area")
      end
   gdk_im_preedit_callbacks : GDK_IMSTYLE is 
      do
         !!Result.make_gtk_flag("preedit-callbacks")
      end
   gdk_im_preedit_position : GDK_IMSTYLE is 
      do
         !!Result.make_gtk_flag("preedit-position")
      end
   gdk_im_preedit_nothing : GDK_IMSTYLE is 
      do
         !!Result.make_gtk_flag("preedit-nothing")
      end
   gdk_im_preedit_none : GDK_IMSTYLE is 
      do
         !!Result.make_gtk_flag("preedit-none")
      end
   gdk_im_preedit_mask : GDK_IMSTYLE is 
      do
         !!Result.make_gtk_flag("preedit-mask")
      end
   gdk_im_status_area : GDK_IMSTYLE is 
      do
         !!Result.make_gtk_flag("status-area")
      end
   gdk_im_status_callbacks : GDK_IMSTYLE is 
      do
         !!Result.make_gtk_flag("status-callbacks")
      end
   gdk_im_status_nothing : GDK_IMSTYLE is 
      do
         !!Result.make_gtk_flag("status-nothing")
      end
   gdk_im_status_none : GDK_IMSTYLE is 
      do
         !!Result.make_gtk_flag("status-none")
      end
   gdk_im_status_mask : GDK_IMSTYLE is 
      do
         !!Result.make_gtk_flag("status-mask")
      end
   gdk_ic_style : GDK_ICATTRIBUTES_TYPE is 
      do
         !!Result.make_gtk_flag("style")
      end
   gdk_ic_client_window : GDK_ICATTRIBUTES_TYPE is 
      do
         !!Result.make_gtk_flag("client-window")
      end
   gdk_ic_focus_window : GDK_ICATTRIBUTES_TYPE is 
      do
         !!Result.make_gtk_flag("focus-window")
      end
   gdk_ic_filter_events : GDK_ICATTRIBUTES_TYPE is 
      do
         !!Result.make_gtk_flag("filter-events")
      end
   gdk_ic_spot_location : GDK_ICATTRIBUTES_TYPE is 
      do
         !!Result.make_gtk_flag("spot-location")
      end
   gdk_ic_line_spacing : GDK_ICATTRIBUTES_TYPE is 
      do
         !!Result.make_gtk_flag("line-spacing")
      end
   gdk_ic_cursor : GDK_ICATTRIBUTES_TYPE is 
      do
         !!Result.make_gtk_flag("cursor")
      end
   gdk_ic_preedit_fontset : GDK_ICATTRIBUTES_TYPE is 
      do
         !!Result.make_gtk_flag("preedit-fontset")
      end
   gdk_ic_preedit_area : GDK_ICATTRIBUTES_TYPE is 
      do
         !!Result.make_gtk_flag("preedit-area")
      end
   gdk_ic_preedit_area_needed : GDK_ICATTRIBUTES_TYPE is 
      do
         !!Result.make_gtk_flag("preedit-area-needed")
      end
   gdk_ic_preedit_foreground : GDK_ICATTRIBUTES_TYPE is 
      do
         !!Result.make_gtk_flag("preedit-foreground")
      end
   gdk_ic_preedit_background : GDK_ICATTRIBUTES_TYPE is 
      do
         !!Result.make_gtk_flag("preedit-background")
      end
   gdk_ic_preedit_pixmap : GDK_ICATTRIBUTES_TYPE is 
      do
         !!Result.make_gtk_flag("preedit-pixmap")
      end
   gdk_ic_preedit_colormap : GDK_ICATTRIBUTES_TYPE is 
      do
         !!Result.make_gtk_flag("preedit-colormap")
      end
   gdk_ic_status_fontset : GDK_ICATTRIBUTES_TYPE is 
      do
         !!Result.make_gtk_flag("status-fontset")
      end
   gdk_ic_status_area : GDK_ICATTRIBUTES_TYPE is 
      do
         !!Result.make_gtk_flag("status-area")
      end
   gdk_ic_status_area_needed : GDK_ICATTRIBUTES_TYPE is 
      do
         !!Result.make_gtk_flag("status-area-needed")
      end
   gdk_ic_status_foreground : GDK_ICATTRIBUTES_TYPE is 
      do
         !!Result.make_gtk_flag("status-foreground")
      end
   gdk_ic_status_background : GDK_ICATTRIBUTES_TYPE is 
      do
         !!Result.make_gtk_flag("status-background")
      end
   gdk_ic_status_pixmap : GDK_ICATTRIBUTES_TYPE is 
      do
         !!Result.make_gtk_flag("status-pixmap")
      end
   gdk_ic_status_colormap : GDK_ICATTRIBUTES_TYPE is 
      do
         !!Result.make_gtk_flag("status-colormap")
      end
   gdk_ic_all_req : GDK_ICATTRIBUTES_TYPE is 
      do
         !!Result.make_gtk_flag("all-req")
      end
   gdk_ic_preedit_area_req : GDK_ICATTRIBUTES_TYPE is 
      do
         !!Result.make_gtk_flag("preedit-area-req")
      end
   gdk_ic_preedit_position_req : GDK_ICATTRIBUTES_TYPE is 
      do
         !!Result.make_gtk_flag("preedit-position-req")
      end
   gdk_ic_status_area_req : GDK_ICATTRIBUTES_TYPE is 
      do
         !!Result.make_gtk_flag("status-area-req")
      end
   gdk_decor_all : GDK_WMDECORATION is 
      do
         !!Result.make_gtk_flag("all")
      end
   gdk_decor_border : GDK_WMDECORATION is 
      do
         !!Result.make_gtk_flag("border")
      end
   gdk_decor_resizeh : GDK_WMDECORATION is 
      do
         !!Result.make_gtk_flag("resizeh")
      end
   gdk_decor_title : GDK_WMDECORATION is 
      do
         !!Result.make_gtk_flag("title")
      end
   gdk_decor_menu : GDK_WMDECORATION is 
      do
         !!Result.make_gtk_flag("menu")
      end
   gdk_decor_minimize : GDK_WMDECORATION is 
      do
         !!Result.make_gtk_flag("minimize")
      end
   gdk_decor_maximize : GDK_WMDECORATION is 
      do
         !!Result.make_gtk_flag("maximize")
      end
   gdk_func_all : GDK_WMFUNCTION is 
      do
         !!Result.make_gtk_flag("all")
      end
   gdk_func_resize : GDK_WMFUNCTION is 
      do
         !!Result.make_gtk_flag("resize")
      end
   gdk_func_move : GDK_WMFUNCTION is 
      do
         !!Result.make_gtk_flag("move")
      end
   gdk_func_minimize : GDK_WMFUNCTION is 
      do
         !!Result.make_gtk_flag("minimize")
      end
   gdk_func_maximize : GDK_WMFUNCTION is 
      do
         !!Result.make_gtk_flag("maximize")
      end
   gdk_func_close : GDK_WMFUNCTION is 
      do
         !!Result.make_gtk_flag("close")
      end
   gdk_cc_mode_undefined : GDK_COLOR_CONTEXT_MODE is 
      do
         !!Result.make_gtk_enum("undefined")
      end
   gdk_cc_mode_bw : GDK_COLOR_CONTEXT_MODE is 
      do
         !!Result.make_gtk_enum("bw")
      end
   gdk_cc_mode_std_cmap : GDK_COLOR_CONTEXT_MODE is 
      do
         !!Result.make_gtk_enum("std-cmap")
      end
   gdk_cc_mode_true : GDK_COLOR_CONTEXT_MODE is 
      do
         !!Result.make_gtk_enum("true")
      end
   gdk_cc_mode_my_gray : GDK_COLOR_CONTEXT_MODE is 
      do
         !!Result.make_gtk_enum("my-gray")
      end
   gdk_cc_mode_palette : GDK_COLOR_CONTEXT_MODE is 
      do
         !!Result.make_gtk_enum("palette")
      end
   gdk_overlap_rectangle_in : GDK_OVERLAP_TYPE is 
      do
         !!Result.make_gtk_enum("in")
      end
   gdk_overlap_rectangle_out : GDK_OVERLAP_TYPE is 
      do
         !!Result.make_gtk_enum("out")
      end
   gdk_overlap_rectangle_part : GDK_OVERLAP_TYPE is 
      do
         !!Result.make_gtk_enum("part")
      end
   gdk_action_default : GDK_DRAG_ACTION is 
      do
         !!Result.make_gtk_flag("default")
      end
   gdk_action_copy : GDK_DRAG_ACTION is 
      do
         !!Result.make_gtk_flag("copy")
      end
   gdk_action_move : GDK_DRAG_ACTION is 
      do
         !!Result.make_gtk_flag("move")
      end
   gdk_action_link : GDK_DRAG_ACTION is 
      do
         !!Result.make_gtk_flag("link")
      end
   gdk_action_private : GDK_DRAG_ACTION is 
      do
         !!Result.make_gtk_flag("private")
      end
   gdk_action_ask : GDK_DRAG_ACTION is 
      do
         !!Result.make_gtk_flag("ask")
      end
   gdk_drag_proto_motif : GDK_DRAG_PROTOCOL is 
      do
         !!Result.make_gtk_enum("motif")
      end
   gdk_drag_proto_xdnd : GDK_DRAG_PROTOCOL is 
      do
         !!Result.make_gtk_enum("xdnd")
      end
   gdk_drag_proto_rootwin : GDK_DRAG_PROTOCOL is 
      do
         !!Result.make_gtk_enum("rootwin")
      end
   gdk_rgb_dither_none : GDK_RGB_DITHER is 
      do
         !!Result.make_gtk_enum("none")
      end
   gdk_rgb_dither_normal : GDK_RGB_DITHER is 
      do
         !!Result.make_gtk_enum("normal")
      end
   gdk_rgb_dither_max : GDK_RGB_DITHER is 
      do
         !!Result.make_gtk_enum("max")
      end
end
