indexing
   description: "gdk event"
   status: "You may be able to redistribute and/or modify this program.% 
          % See the README for details."
   copyright: "Copyright (C) 1999 Paul C. Janzen"
   author: "Paul C. Janzen and Francois Pennaneach"
   id: "$Id: gdk_event.e,v 1.5 1999/01/18 19:54:55 pcj Exp $"

class GDK_EVENT
inherit
   GDK_OBJECT
   redefine
      create
      end
creation create

feature --
   create ( p : POINTER ) is
      do
	 gdkobject := p
	 ext_event_build(gdkobject, $type_dummy, $window_ptr, $send_event)
	 !!event_type.make_gtk_constant(type_dummy)
      end

feature {NONE} -- Private
   window_ptr : POINTER
   event_type : GDK_EVENT_TYPE
   send_event : INTEGER
   type_dummy : INTEGER

   ext_event_build(gdkobject_, event_type_, 
		   window_ptr_, send_event_ : POINTER) is
      external "C"
      end

invariant
end -- GDK_EVENT

