indexing
   description: "gdk event factory"
   status: "You may be able to redistribute and/or modify this program.% 
          % See the README for details."
   copyright: "Copyright (C) 1999 Paul C. Janzen"
   author: "Paul C. Janzen"
   id: "$Id: gdk_event_factory.e,v 1.4 1999/01/18 19:54:55 pcj Exp $"

class GDK_EVENT_FACTORY
inherit 
   GTK_CONSTANTS export {NONE} all end
feature {ANY} -- Commands
   create_gdk_event ( p : POINTER ) : GDK_EVENT is 
      local type : INTEGER
      do

	 if p = default_pointer then
	    Result := Void
	 else
	    -- Did I mention that inspections' being limited to 
	    -- integer/character types is lame? 
	    type := ext_gdk_event_type(p)
	    
	    if gdk_button_press.equals_int ( type ) or
	       gdk_2button_press.equals_int ( type ) or
	       gdk_3button_press.equals_int ( type )  or 
	       gdk_button_release.equals_int ( type ) then
	       !GDK_EVENT_BUTTON!Result.create(p)
	    else
	       !GDK_EVENT!Result.create(p)
	    end
	 end
      end

-- expose, motion_notify, key_press, focus_change, enter_notify, 
-- configure, property_notify, selection_clear, proximity_in

feature {NONE}
   ext_gdk_event_type ( p : POINTER ) : INTEGER is
      external "C"
      end

invariant
end
