indexing
   description: "gslist"
   status: "You may be able to redistribute and/or modify this program.% 
          % See the README for details."
   copyright: "Copyright (C) 1999 Paul C. Janzen"
   author: "Paul C. Janzen and Francois Pennaneach"
   id: "$Id: gslist.e,v 1.7 1999/01/18 19:54:56 pcj Exp $"

deferred class GSLIST[T]
inherit
   GLIST[T]
      redefine ext_alloc, ext_append, ext_insert, ext_item, 
	 ext_length, ext_prepend, ext_dispose

feature {NONE} -- Private

   ext_alloc : POINTER is
      external "C"
      alias "g_slist_alloc"
      end -- ext_alloc

   ext_append(c_object, element : POINTER) : POINTER is
      external "C"
      alias "g_slist_append"
      end -- ext_append

   ext_insert(c_object, element : POINTER; position : INTEGER) : POINTER is
      external "C"
      alias "g_slist_insert"
      end -- ext_insert

   ext_item(c_object : POINTER; index : INTEGER) : POINTER is
      external "C"
      alias "g_slist_nth"
      end -- ext_item

   ext_length(c_object : POINTER) : INTEGER is
      external "C"
      alias "g_slist_length"
      end -- ext_length

   ext_prepend(c_object, element : POINTER) : POINTER is
      external "C"
      alias "g_slist_prepend"
      end -- ext_prepend

   ext_dispose(c_object : POINTER) is
      external "C"
      alias "g_slist_free"
      end

invariant
end -- GSLIST[T]

