indexing
   description: "gtk allocation"
   status: "You may be able to redistribute and/or modify this program.% 
          % See the README for details."
   copyright: "Copyright (C) 1999 Paul C. Janzen"
   author: "Paul C. Janzen and Francois Pennaneach"
   id: "$Id: gtk_allocation.e,v 1.6 1999/01/18 19:54:56 pcj Exp $"

class GTK_ALLOCATION
creation create
feature -- Creation

   create ( p : POINTER ) is
      do
	 gtkobject := p 
      end

   to_external : POINTER is
      do
	 Result := gtkobject 
      end

feature {ANY} -- Queries
   x : INTEGER is
      do
	 Result := ext_allocation_x(gtkobject)
      end

   y : INTEGER is 
      do
	 Result := ext_allocation_x(gtkobject)
      end

   width : INTEGER is
      do
	 Result := ext_allocation_width(gtkobject)
      end

   height : INTEGER is
      do
	 Result := ext_allocation_height(gtkobject)
      end

feature {ANY} -- Commands
feature {NONE} -- Private
   ext_allocation_x (c_object : POINTER) : INTEGER is
      external "C"
      end

   ext_allocation_y (c_object : POINTER) : INTEGER is
      external "C"
      end

   ext_allocation_width (c_object : POINTER) : INTEGER is
      external "C"
      end

   ext_allocation_height (c_object : POINTER) : INTEGER is
      external "C"
      end
   
   gtkobject : POINTER 

invariant
end -- GTK_ALLOCATION

