indexing
   description: "gtk aspect frame"
   status: "You may be able to redistribute and/or modify this program.% 
          % See the README for details."
   copyright: "Copyright (C) 1999 Paul C. Janzen"
   author: "Paul C. Janzen and Francois Pennaneach"
   id: "$Id: gtk_aspect_frame.e,v 1.5 1999/01/18 19:54:56 pcj Exp $"

class GTK_ASPECT_FRAME
inherit
   GTK_FRAME
creation
   make_aspect_frame,
   create
feature -- Creation
   make_aspect_frame(label : STRING; 
		     xalign, yalign, ratio : REAL; obey_child : INTEGER) is
      -- Creation and initialization
      do
	 gtkobject := ext_aspect_frame_new(label.to_external, 
					   xalign, yalign, ratio, obey_child)
      end -- make_aspect_frame

   set(xalign, yalign, ratio : REAL; obey_child : INTEGER) is
      do
	 ext_set(gtkobject, xalign, yalign, ratio, obey_child)
      end -- set

feature {ANY} -- Queries
feature {ANY} -- Commands
feature {NONE} -- Private
   ext_aspect_frame_new(label : POINTER; xalign, yalign, ratio : REAL; 
			obey_child : INTEGER) : POINTER is
      external "C"
      alias "gtk_aspect_frame_new"
      end -- ext_aspect_frame_new

   ext_set(c_object : POINTER; xalign, yalign, ratio : REAL; 
	   obey_child : INTEGER) is
      external "C"
      alias "gtk_aspect_frame_set"
      end -- ext_set
invariant
end -- GTK_ASPECT_FRAME

