indexing
   description: "gtk check button"
   status: "You may be able to redistribute and/or modify this program.% 
          % See the README for details."
   copyright: "Copyright (C) 1999 Paul C. Janzen"
   author: "Paul C. Janzen and Francois Pennaneach"
   id: "$Id: gtk_check_button.e,v 1.4 1999/01/18 19:54:56 pcj Exp $"

class GTK_CHECK_BUTTON
inherit
   GTK_TOGGLE_BUTTON
      redefine
	 make,
	 make_with_label
      end;
creation
   make,
   make_with_label,
   create
feature -- Creation
   make is
      -- Creation and initialization
      do
	 gtkobject := ext_check_button_new
      end -- make

   make_with_label(label : STRING) is
      do
	 gtkobject := ext_check_button_new_with_label(label.to_external)
      end -- make_with_label
   
feature {ANY} -- Queries
feature {ANY} -- Commands
feature {NONE} -- Private
   ext_check_button_new : POINTER is
      external "C"
      alias "gtk_check_button_new"
      end -- ext_check_button_new

   ext_check_button_new_with_label(s : POINTER) : POINTER is
      external "C"
      alias "gtk_check_button_new_with_label"
      end -- ext_check_button_new_with_label

invariant
end -- GTK_CHECK_BUTTON

