indexing
   description: "gtk command drag data get"
   status: "You may be able to redistribute and/or modify this program.% 
          % See the README for details."
   copyright: "Copyright (C) 1999 Paul C. Janzen"
   author: "Paul C. Janzen"
   id: "$Id: gtk_command_drag_data_get.e,v 1.5 1999/01/18 19:54:56 pcj Exp $"

class GTK_COMMAND_DRAG_DATA_GET
inherit 
   GTK_COMMAND_TYPE
feature {ANY} 
   execute, execute_drag_data_get
   ( context : GDK_DRAG_CONTEXT; selection_data : GTK_SELECTION_DATA; 
     info, time : INTEGER ; data : ANY ) is
      deferred
      end

feature {NONE} -- Private

   command_execution ( data : ANY ) is
      require
	 num_params = 4
      local
	 context : GDK_DRAG_CONTEXT
	 selection_data : GTK_SELECTION_DATA
	 info, time : INTEGER
      do
	 !!context.create(shift_pointer)
	 !!selection_data.create(shift_pointer)
	 info := shift_int
	 time := shift_int
	 execute(context, selection_data, info, time, data)
      end

invariant
end 

