indexing
   description: "gtk command drag data received"
   status: "You may be able to redistribute and/or modify this program.% 
          % See the README for details."
   copyright: "Copyright (C) 1999 Paul C. Janzen"
   author: "Paul C. Janzen"
   id: "$Id: gtk_command_drag_data_received.e,v 1.5 1999/01/18 19:54:56 pcj Exp $"

class GTK_COMMAND_DRAG_DATA_RECEIVED
inherit 
   GTK_COMMAND_TYPE
feature {ANY} 
   execute, execute_drag_data_received
   ( context : GDK_DRAG_CONTEXT; x, y : INTEGER; 
     selection_data : GTK_SELECTION_DATA; 
     info, time : INTEGER ; data : ANY ) is 
      deferred
      end

feature {NONE} -- Private

   command_execution ( data : ANY ) is
      require
	 num_params = 6
      local
	 context : GDK_DRAG_CONTEXT
	 selection_data : GTK_SELECTION_DATA
	 x, y, info, time : INTEGER
      do
	 !!context.create(shift_pointer)
	 x := shift_int
	 y := shift_int 
	 !!selection_data.create(shift_pointer)
	 info := shift_int
	 time := shift_int
	 execute(context, x, y, selection_data, info, time, data)
      end

invariant
end 

