indexing
   description: "gtk command notebook switch page"
   status: "You may be able to redistribute and/or modify this program.% 
          % See the README for details."
   copyright: "Copyright (C) 1999 Paul C. Janzen"
   author: "Paul C. Janzen"
   id: "$Id: gtk_command_notebook_switch_page.e,v 1.4 1999/01/18 19:54:56 pcj Exp $"

class GTK_COMMAND_NOTEBOOK_SWITCH_PAGE
inherit 
   GTK_COMMAND_TYPE
feature {ANY}

   execute, 
   execute_notebook_switch_page 
   ( page : GTK_NOTEBOOK_PAGE ; page_num : INTEGER ; data : ANY ) is
      deferred
      end

feature {NONE}

   command_execution ( data : ANY ) is 
      require
	 num_params = 2 
      local 
	 page : GTK_NOTEBOOK_PAGE
      do
	 !!page.create(shift_pointer)
	 execute ( page, shift_int, data )
      end
invariant
end 

