indexing
   description: "gtk constant"
   status: "You may be able to redistribute and/or modify this program.% 
          % See the README for details."
   copyright: "Copyright (C) 1999 Paul C. Janzen"
   author: "Paul C. Janzen"
   id: "$Id: gtk_constant.e,v 1.4 1999/01/18 19:54:57 pcj Exp $"

class GTK_CONSTANT

inherit 
   GENERAL 
      redefine 
	 is_equal 
      end
	 
feature {GTK_CONSTANT} -- Creation
   make, make_gtk_constant ( i : INTEGER ) is
      require
	 i >= 0
      do
	 value := i
      end -- make

feature {ANY} -- Queries

    is_equal ( other : like Current ) : BOOLEAN is
       do
 	 Result := (value = other.value)
       end

   ext_type_from_name ( name : POINTER ) : INTEGER is 
      external "C"
      alias "gtk_type_from_name"
      end

   equals_int (i : INTEGER) : BOOLEAN is
      do
	 Result := ( i = value )
      end

-- feature {GTK_OBJECT, GTK_CONSTANT}  
feature {ANY}
   value : INTEGER

feature {NONE} 

   fundamental_type : STRING is
      deferred
      end

invariant
end

