indexing
   description: "gtk drawing area"
   status: "You may be able to redistribute and/or modify this program.% 
          % See the README for details."
   copyright: "Copyright (C) 1999 Paul C. Janzen"
   author: "Paul C. Janzen and Francois Pennaneach"
   id: "$Id: gtk_drawing_area.e,v 1.4 1999/01/18 19:54:57 pcj Exp $"

class GTK_DRAWING_AREA
inherit
   GTK_WIDGET
creation 
   make,
   create
feature -- Creation
   make is
      -- Creation and initialization
      do
	 gtkobject := ext_drawing_area_new
      end -- make
feature {ANY} -- Queries
feature {ANY} -- Commands
   set_size (width, height : INTEGER) is
      do
	 ext_drawing_area_size(gtkobject, width, height)
      end
feature {NONE} -- Private

   ext_drawing_area_size(c_object : POINTER; width, height : INTEGER) is
      external "C"
      alias "gtk_drawing_area_size"
      end

   ext_drawing_area_new : POINTER is
      external "C"
      alias "gtk_drawing_area_new"
      end
invariant
end -- GTK_DRAWING_AREA

