indexing
   description: "gtk enum"
   status: "You may be able to redistribute and/or modify this program.% 
          % See the README for details."
   copyright: "Copyright (C) 1999 Paul C. Janzen"
   author: "Paul C. Janzen"
   id: "$Id: gtk_enum.e,v 1.5 1999/01/18 19:54:57 pcj Exp $"

class GTK_ENUM
inherit 
   GTK_CONSTANT
feature {GTK_ENUM} -- Creation

   make_gtk_enum ( name : STRING ) is
      require
	 name /= Void
      do
	 value := 
	    ext_enum_find_value(ext_type_from_name(fundamental_type.to_external), 
				name.to_external)
      end

feature {ANY} -- Queries

   ext_enum_find_value ( type : INTEGER; name : POINTER ) : INTEGER is
      external "C"
      end
   
invariant
end -- GTK_ENUM
