indexing
   description: "gtk fixed"
   status: "You may be able to redistribute and/or modify this program.% 
          % See the README for details."
   copyright: "Copyright (C) 1999 Paul C. Janzen"
   author: "Paul C. Janzen and Francois Pennaneach"
   id: "$Id: gtk_fixed.e,v 1.7 1999/01/18 19:54:57 pcj Exp $"

class GTK_FIXED
inherit
   GTK_CONTAINER
creation 
   make, 
   create
feature -- Creation
   make is
      -- Creation and initialization
      do
	 gtkobject := ext_fixed_new
      end -- make
feature {ANY} -- Queries
feature {ANY} -- Commands
   put(widget : GTK_WIDGET; x,y : INTEGER) is
      require
--	 x_is_gint16
--	 y_is_gint16
      do
	 ext_fixed_put(gtkobject, widget.to_external, x, y)
      end -- put

   move(widget : GTK_WIDGET; x,y : INTEGER) is
      require
--	 x_is_gint16
--	 y_is_gint16
      do
	 ext_fixed_move(gtkobject, widget.to_external, x, y)
      end -- move

feature {NONE} -- Private
   ext_fixed_new : POINTER is 
      external "C"
      alias "gtk_fixed_new"
      end

   ext_fixed_put(c_object, widget : POINTER; x, y : INTEGER) is
      external "C"
      alias "gtk_fixed_put"
      end

   ext_fixed_move(c_object, widget : POINTER; x,y : INTEGER) is
      external "C"
      alias "gtk_fixed_move"
      end
invariant
end -- GTK_FIXED

