indexing
   description: "gtk flag"
   status: "You may be able to redistribute and/or modify this program.% 
          % See the README for details."
   copyright: "Copyright (C) 1999 Paul C. Janzen"
   author: "Paul C. Janzen"
   id: "$Id: gtk_flag.e,v 1.6 1999/01/18 19:54:57 pcj Exp $"

class GTK_FLAG
inherit 
   GTK_CONSTANT

feature {GTK_FLAG} -- Creation

   make_gtk_flag ( name : STRING ) is
      require
	 name /= Void
      do
	 value := 
	    ext_flag_find_value(ext_type_from_name(fundamental_type.to_external), 
				name.to_external)
      end

feature {ANY}

   infix "and" (other : like Current) : like Current is
      do
	 !!Result.make_gtk_constant((value.to_bit or 
				     other.value.to_bit).to_integer)
      end

feature {ANY} -- Queries

   ext_flag_find_value ( type : INTEGER; name : POINTER ) : INTEGER is
      external "C"
      end
   
invariant
end

