indexing
   description: "gtk font selection dialog"
   status: "You may be able to redistribute and/or modify this program.% 
          % See the README for details."
   copyright: "Copyright (C) 1999 Paul C. Janzen"
   author: "Paul C. Janzen"
   id: "$Id: gtk_font_selection_dialog.e,v 1.6 1999/01/18 19:54:57 pcj Exp $"

class GTK_FONT_SELECTION_DIALOG
inherit 
   GTK_WINDOW
creation
   make_dialog, 
   create
feature -- Creation
   make_dialog ( title : STRING ) is
      do
	 gtkobject := ext_font_selection_dialog_new ( title.to_external )
	 !!fontsel.create(ext_font_selection_dialog_fontsel ( gtkobject ) )
	 !!main_vbox.create(ext_font_selection_dialog_main_vbox ( gtkobject ) )
	 !!action_area.create(ext_font_selection_dialog_action_area ( gtkobject ) )
	 !!ok_button.create(ext_font_selection_dialog_ok_button ( gtkobject ) )
	 !!apply_button.create(ext_font_selection_dialog_apply_button ( gtkobject ) )
	 !!cancel_button.create(ext_font_selection_dialog_cancel_button ( gtkobject ) )
      end -- make
feature {ANY} -- Queries

   fontsel : GTK_FONT_SELECTION
   main_vbox : GTK_VBOX
   action_area : GTK_HBUTTON_BOX
   ok_button, apply_button, cancel_button : GTK_BUTTON

feature {NONE} -- Private

   ext_font_selection_dialog_new ( title : POINTER ) : POINTER is
      external "C"
      alias "gtk_font_selection_dialog_new"
      end

   ext_font_selection_dialog_fontsel ( dialog : POINTER ) : POINTER is
      external "C"
      end

   ext_font_selection_dialog_main_vbox ( dialog : POINTER ) : POINTER is
      external "C"
      end

   ext_font_selection_dialog_action_area ( dialog : POINTER ) : POINTER is
      external "C"
      end

   ext_font_selection_dialog_ok_button ( dialog : POINTER ) : POINTER is
      external "C"
      end

   ext_font_selection_dialog_apply_button ( dialog : POINTER ) : POINTER is
      external "C"
      end

   ext_font_selection_dialog_cancel_button ( dialog : POINTER ) : POINTER is
      external "C"
      end


feature {ANY} -- Commands
feature {NONE} -- Private
invariant
end 

