indexing
   description: "gtk idle"
   status: "You may be able to redistribute and/or modify this program.% 
          % See the README for details."
   copyright: "Copyright (C) 1999 Paul C. Janzen"
   author: "Paul C. Janzen"
   id: "$Id: gtk_idle.e,v 1.5 1999/01/18 19:54:57 pcj Exp $"

class GTK_IDLE
creation
   make
feature -- Creation
   make ( command : GTK_IDLE_COMMAND ; data : ANY ) is
      require 
	 command /= Void 
      local
	 id : INTEGER
      do
	 id := command.object_id
	 id := data.object_id
	 idle_handler_id := ext_idle_add ( command, data )
      end -- make
feature {ANY} -- Commands
   remove is
      do
	 ext_idle_remove ( idle_handler_id ) 
      end

feature {NONE} -- Private

   idle_handler_id : INTEGER

   ext_idle_remove ( id : INTEGER ) is
      external "C"
      alias "gtk_idle_remove"
      end
   
   ext_idle_add ( command : GTK_IDLE_COMMAND ; data : ANY ) : INTEGER is
      external "C"
      end

invariant
end 

