indexing
   description: "gtk image"
   status: "You may be able to redistribute and/or modify this program.% 
          % See the README for details."
   copyright: "Copyright (C) 1999 Paul C. Janzen"
   author: "Paul C. Janzen and Francois Pennaneach"
   id: "$Id: gtk_image.e,v 1.5 1999/01/18 19:54:58 pcj Exp $"

class GTK_IMAGE
inherit
   GTK_MISC
creation
   make,
   create
feature -- Creation
   make ( val : GDK_IMAGE ; mask : GDK_BITMAP ) is
      -- Creation and initialization
      do
	 gtkobject := ext_image_new ( val.to_external, mask.to_external ) 
      end -- make
feature {ANY}

   set ( val : GDK_IMAGE ; mask : GDK_BITMAP ) is
      do
	 ext_image_set ( gtkobject, val.to_external, mask.to_external ) 
      end
   
   -- get

feature {NONE}
   
   ext_image_new ( val, mask : POINTER ) : POINTER is
      external "C"
      alias "gtk_image_new"
      end

   ext_image_set ( image val, mask : POINTER ) is
      external "C"
      alias "gtk_image_set"
      end

end -- GTK_IMAGE

