indexing
   description: "gtk misc"
   status: "You may be able to redistribute and/or modify this program.% 
          % See the README for details."
   copyright: "Copyright (C) 1999 Paul C. Janzen"
   author: "Paul C. Janzen and Francois Pennaneach"
   id: "$Id: gtk_misc.e,v 1.4 1999/01/18 19:54:58 pcj Exp $"

class GTK_MISC
inherit
   GTK_WIDGET
feature {ANY} -- Queries
feature {ANY} -- Commands
   set_alignment, set_alignement(xalign, yalign : REAL) is
      do
	 ext_set_alignment(gtkobject, xalign, yalign)
      end -- set_alignment

   set_padding(xpad, ypad : INTEGER) is
      do
	 ext_set_padding(gtkobject, xpad, ypad)
      end -- set_padding
feature {NONE} -- Private
   ext_set_alignment(c_object : POINTER; xalign, yalign : REAL) is
      external "C"
      alias "gtk_misc_set_alignment"
      end -- ext_set_alignment

   ext_set_padding(c_object : POINTER; xpad, ypad : INTEGER) is
      external "C"
      alias "gtk_misc_set_padding"
      end -- ext_set_padding
invariant
end -- GTK_MISC

