indexing
   description: "gtk plug"
   status: "You may be able to redistribute and/or modify this program.% 
          % See the README for details."
   copyright: "Copyright (C) 1999 Paul C. Janzen"
   author: "Paul C. Janzen"
   id: "$Id: gtk_plug.e,v 1.4 1999/01/18 19:54:59 pcj Exp $"

class GTK_PLUG
inherit 
   GTK_WINDOW

creation
   make_plug, create

feature -- Creation

   make_plug (socket_id : INTEGER) is
      do
	 gtkobject := ext_plug_new(socket_id)
      end -- make

feature {ANY} -- Queries

   socket_window : GDK_WINDOW is
      do
	 !!Result.create(ext_plug_socket_window(gtkobject))
      end

   same_app : INTEGER is
      do
	 Result := ext_plug_same_app(gtkobject)
      end

feature {NONE} -- Private

   ext_plug_new(socket_id : INTEGER) : POINTER is
      external "C"
      alias "gtk_plug_new"
      end

   ext_plug_socket_window(plug : POINTER) : POINTER is
      external "C"
      end

   ext_plug_same_app(plug : POINTER) : INTEGER is
      external "C"
      end

invariant
end 
