indexing
   description: "gtk requisition"
   status: "You may be able to redistribute and/or modify this program.% 
          % See the README for details."
   copyright: "Copyright (C) 1999 Paul C. Janzen"
   author: "Paul C. Janzen and Francois Pennaneach"
   id: "$Id: gtk_requisition.e,v 1.7 1999/01/18 19:54:59 pcj Exp $"

class GTK_REQUISITION

creation make, create

feature -- Creation

   make ( width_, height_ : INTEGER ) is
      -- Creation and initialization
      do
	 gtkobject := ext_requisition_new(width_, height_, $storage); 
      end -- make
   create ( p : POINTER ) is
      do
	 gtkobject := p
      end

feature {ANY} -- Queries

   to_external : POINTER is
      do
	 Result := gtkobject
      end

feature {ANY} -- Commands
feature {GTK_WIDGET} 

   -- gtkobject is a pointer to the storage structure, represented 
   -- here as BIT 32 (two guint16's)
   
   gtkobject : POINTER

feature {NONE}

   storage : BIT 32

   ext_requisition_new ( w, h : INTEGER ; pstorage : POINTER ) : POINTER is
      external "C"
      end

invariant
end -- GTK_REQUISITION

