indexing
   description: "gtk ruler"
   status: "You may be able to redistribute and/or modify this program.% 
          % See the README for details."
   copyright: "Copyright (C) 1999 Paul C. Janzen"
   author: "Paul C. Janzen and Francois Pennaneach"
   id: "$Id: gtk_ruler.e,v 1.6 1999/01/18 19:54:59 pcj Exp $"

class GTK_RULER
inherit
   GTK_WIDGET
creation create
feature {ANY}

   set_metric ( metric : GTK_METRIC_TYPE ) is
      do
         ext_ruler_set_metric ( gtkobject, metric.value )
      end

   set_range ( lower, upper, position, max_size : REAL ) is
      do
         ext_ruler_set_range ( gtkobject, lower, upper, position, max_size )
      end

   draw_ticks is
      do
	 ext_ruler_draw_ticks ( gtkobject ) 
      end
   
   draw_pos is
      do
	 ext_ruler_draw_pos ( gtkobject ) 
      end

feature {NONE}

   ext_ruler_set_metric ( ruler : POINTER ; metric : INTEGER ) is
      external "C"
      alias "gtk_ruler_set_metric"
      end

   ext_ruler_set_range ( ruler : POINTER ; 
			 lower, upper, position, max_size : REAL ) is
      external "C"
      alias "gtk_ruler_set_range"
      end

   ext_ruler_draw_ticks ( ruler : POINTER ) is
      external "C"
      alias "gtk_ruler_draw_ticks"
      end

   ext_ruler_draw_pos ( ruler : POINTER ) is
      external "C"
      alias "gtk_ruler_draw_pos"
      end

invariant
end -- GTK_RULER

