indexing
   description: "gtk scale"
   status: "You may be able to redistribute and/or modify this program.% 
          % See the README for details."
   copyright: "Copyright (C) 1999 Paul C. Janzen"
   author: "Paul C. Janzen and Francois Pennaneach"
   id: "$Id: gtk_scale.e,v 1.6 1999/01/18 19:54:59 pcj Exp $"

class GTK_SCALE
inherit
   GTK_RANGE
creation create
feature {ANY}

   draw_value  is
      do
         ext_scale_draw_value ( gtkobject )
      end

   set_digits ( digits : INTEGER ) is
      do
         ext_scale_set_digits ( gtkobject, digits )
      end

   set_draw_value ( draw_value_ : BOOLEAN ) is
      do
         ext_scale_set_draw_value ( gtkobject, draw_value_ )
      end

   set_value_pos ( pos : GTK_POSITION_TYPE ) is
      do
         ext_scale_set_value_pos ( gtkobject, pos.value )
      end

   get_value_width  : INTEGER is
      do
         Result := ext_scale_get_value_width ( gtkobject )
      end

feature {NONE} -- Private

   ext_scale_draw_value ( scale : POINTER ) is
      external "C"
      alias "gtk_scale_draw_value"
      end

   ext_scale_set_digits ( scale : POINTER ; digits : INTEGER ) is
      external "C"
      alias "gtk_scale_set_digits"
      end

   ext_scale_set_draw_value ( scale : POINTER ; draw_value_ : BOOLEAN ) is
      external "C"
      alias "gtk_scale_set_draw_value"
      end

   ext_scale_set_value_pos ( scale : POINTER;  pos : INTEGER ) is
      external "C"
      alias "gtk_scale_set_value_pos"
      end

   ext_scale_get_value_width ( scale : POINTER ) : INTEGER is
      external "C"
      alias "gtk_scale_get_value_width"
      end
invariant
end -- GTK_SCALE



