indexing
   description: "gtk target entry"
   status: "You may be able to redistribute and/or modify this program.% 
          % See the README for details."
   copyright: "Copyright (C) 1999 Paul C. Janzen"
   author: "Paul C. Janzen"
   id: "$Id: gtk_target_entry.e,v 1.4 1999/01/18 19:54:59 pcj Exp $"

class GTK_TARGET_ENTRY
creation
   make
feature -- Creation
   make (target : STRING ; flags : GTK_TARGET_FLAGS ; info : INTEGER ) is
      do
	 gtkobject := ext_make_target_entry (target.to_external, 
					     flags.value, 
					     info, $storage)
      end -- make

   to_external : POINTER is
      do
	 Result := gtkobject 
      end

feature {ANY} -- Queries
feature {ANY} -- Commands
feature {NONE} -- Private

   storage : BIT 96
   gtkobject : POINTER 

   ext_make_target_entry ( target : POINTER ; flags, info : INTEGER; 
			   storage_: POINTER ) : POINTER is
      external "C"
      end
   
invariant
end 
