indexing
   description: "gtk timeout"
   status: "You may be able to redistribute and/or modify this program.% 
          % See the README for details."
   copyright: "Copyright (C) 1999 Paul C. Janzen"
   author: "Paul C. Janzen"
   id: "$Id: gtk_timeout.e,v 1.4 1999/01/18 19:54:59 pcj Exp $"

class GTK_TIMEOUT
creation
   make
feature -- Creation
   make ( interval : INTEGER ; command : GTK_TIMEOUT_COMMAND ; data : ANY ) is
      require 
	 command /= Void 
	 interval > 0 
      local
	 id : INTEGER 
      do
	 -- GC silliness
	 id := command.object_id
	 id := data.object_id
	 timeout_handler_id := ext_timeout_add ( interval, command, data )
      end -- make
feature {ANY} -- Commands
   remove is
      do
	 ext_timeout_remove ( timeout_handler_id ) 
      end

feature {NONE} -- Private

   timeout_handler_id : INTEGER

   ext_timeout_remove ( id : INTEGER ) is
      external "C"
      alias "gtk_timeout_remove"
      end
   
   ext_timeout_add ( interval : INTEGER ; command : GTK_TIMEOUT_COMMAND ; 
		     data : ANY ) : INTEGER is
      external "C"
      end

invariant
end 

