indexing
   description: "gtk vseparator"
   status: "You may be able to redistribute and/or modify this program.% 
          % See the README for details."
   copyright: "Copyright (C) 1999 Paul C. Janzen"
   author: "Paul C. Janzen and Francois Pennaneach"
   id: "$Id: gtk_vseparator.e,v 1.4 1999/01/18 19:55:00 pcj Exp $"

class GTK_VSEPARATOR
inherit
   GTK_SEPARATOR
creation
   make,
   create
feature -- Creation
   make is
      -- Creation and initialization
      do
	 gtkobject := ext_vseparator_new
      end -- make

feature {ANY} -- Queries
   type : INTEGER is
      do
	 Result := ext_vseparator_get_type(gtkobject)
      end -- type

feature {ANY} -- Commands
feature {NONE} -- Private
   ext_vseparator_new : POINTER is
      external "C"
      alias "gtk_vseparator_new"
      end -- ext_vseparator_new

   ext_vseparator_get_type(c_object : POINTER) : INTEGER is
      external "C"
      alias "gtk_vseparator_get_type"
      end -- ext_vseparator_get_type

invariant
end -- GTK_VSEPARATOR

