indexing
   description: "create button box"
   status: "You may be able to redistribute and/or modify this program.% 
          % See the README for details."
   copyright: "Copyright (C) 1999 Paul C. Janzen"
   author: "Paul C. Janzen and Francois Pennaneach"
   id: "$Id: create_button_box.e,v 1.4 1999/01/18 19:55:08 pcj Exp $"

class CREATE_BUTTON_BOX
inherit
   SIMPLE_TEST
creation make
feature -- Creation
   make is
      -- Creation and initialization
      local
	 window : GTK_WINDOW
	 bbox : GTK_HBUTTON_BOX
	 button : GTK_BUTTON
	 bbox_widget_destroy : BBOX_WIDGET_DESTROY -- gtk_commands
	 test_hbbox : TEST_HBBOX
	 test_vbbox : TEST_VBBOX
      do

	 !!bbox_widget_destroy
	 !!test_hbbox
	 !!test_vbbox

	 !!window.make
	 window.set_title("Button Box Test")
	 window.add_action("destroy", bbox_widget_destroy, window)
	 window.set_border_width(20)

	 !!bbox.make
	 window.add(bbox)
	 bbox.show

	 !!button.make_with_label("Horizontal")
	 button.add_clicked_action(test_hbbox, 0)
	 bbox.add(button)
	 button.show

	 !!button.make_with_label("Vertical")
	 button.add_clicked_action(test_vbbox, 0)
	 bbox.add(button)
	 button.show

	 window.show
      end -- make
feature {ANY} -- Queries
feature {ANY} -- Commands
feature {NONE} -- Private
invariant
end -- CREATE_BUTTON_BOX

