indexing
   description: "create color selection"
   status: "You may be able to redistribute and/or modify this program.% 
          % See the README for details."
   copyright: "Copyright (C) 1999 Paul C. Janzen"
   author: "Paul C. Janzen"
   id: "$Id: create_color_selection.e,v 1.4 1999/01/18 19:55:08 pcj Exp $"

class CREATE_COLOR_SELECTION
inherit 
   SIMPLE_TEST
   GTK_COMMAND
   GTK_CONSTANTS
creation
   make
feature -- Creation
   make is
      local 
	 colorselwid : GTK_COLOR_SELECTION_DIALOG
	 destroy_window : DESTROY_WINDOW	 
      do
	 !!destroy_window
	 !!colorselwid.make_dialog("color selection dialog")
	 colorselwid.signal_connect("destroy", destroy_window, colorselwid)
	 colorsel := colorselwid.colorsel
	 colorsel.set_opacity(True)
	 colorsel.set_update_policy(gtk_update_continuous)
	 colorselwid.set_position(gtk_win_pos_mouse)
	 colorselwid.cancel_button.signal_connect("clicked", destroy_window, colorselwid) 
	 colorselwid.ok_button.signal_connect("clicked", Current, "")
	 
	 colorselwid.show
      end -- make

feature {ANY} -- Queries
feature {ANY} -- Commands
feature {NONE} -- Private
   
   colorsel : GTK_COLOR_SELECTION

   execute (data : ANY) is
      local 
	 i : INTEGER
	 color : FIXED_ARRAY[DOUBLE]
      do
	 color := colorsel.get_color
	 print("Color: ")
	 from i := color.lower 
	 until i > color.upper
	 loop
	    print(color.item(i).out)
	    print(" ")
	    i := i+1
	 end
	 print("%N")
      end
   
invariant
end 
