indexing
   description: "create font selection"
   status: "You may be able to redistribute and/or modify this program.% 
          % See the README for details."
   copyright: "Copyright (C) 1999 Paul C. Janzen"
   author: "Paul C. Janzen"
   id: "$Id: create_font_selection.e,v 1.4 1999/01/18 19:55:09 pcj Exp $"

class CREATE_FONT_SELECTION
inherit 
   SIMPLE_TEST
   GTK_CONSTANTS
   GTK_COMMAND
creation
   make
feature -- Creation
   make is
      local
	 destroy_window : DESTROY_WINDOW
      do
	 !!destroy_window
	 !!window.make_dialog("Font Selection Dialog")
	 window.set_position(gtk_win_pos_mouse)
	 window.signal_connect("destroy", destroy_window, window)
	 
	 window.ok_button.signal_connect("clicked", Current, font_ok)
	 window.cancel_button.signal_connect("clicked", destroy_window, window)

	 window.show
      end -- make

feature {NONE} -- Private
   window : GTK_FONT_SELECTION_DIALOG
   font_ok : INTEGER is unique

   execute ( data : ANY ) is
      local 
	 font : STRING 
      do
	 font :=  window.fontsel.get_font_name
	 if font /= Void then 
	    print(font)
	    print("%N")
	 end
      end
	 
invariant
end 

