indexing
   description: "create pixmap"
   status: "You may be able to redistribute and/or modify this program.% 
          % See the README for details."
   copyright: "Copyright (C) 1999 Paul C. Janzen"
   author: "Paul C. Janzen and Francois Pennaneach"
   id: "$Id: create_pixmap.e,v 1.4 1999/01/18 19:55:09 pcj Exp $"

class CREATE_PIXMAP
inherit
   SIMPLE_TEST
   GTK_CONSTANTS
creation make
feature -- Creation
   make is
      -- Creation and initialization
      local 
	 box1, box2 : GTK_VBOX
	 box3 : GTK_HBOX
	 button : GTK_BUTTON
	 label : GTK_LABEL
	 separator : GTK_HSEPARATOR
	 pixmapwid : GTK_PIXMAP
	 destroy_window : DESTROY_WINDOW
	 background : GDK_COLOR
      do
	 !!destroy_window
	 !!window.make
	 window.add_action("destroy", destroy_window, window)
	 window.set_title("pixmap")
	 window.set_border_width(0)
	 window.realize

	 !!box1.make_with_aspect(False, 0)
	 window.add(box1)
	 box1.show

	 !!box2.make_with_aspect(False, 10)
	 box2.set_border_width(10)
	 box1.pack_start(box2, True, True, 0)
	 box2.show

	 !!button.make
	 box2.pack_start(button, False, False, 0)
	 button.show

	 !!style.make_from_widget(button)
	 !!pixmapwid.make_from_pixmap(folder_xpm)

	 !!label.make_with_label("Pixmap%Ntest")
	 !!box3.make_with_aspect(False, 0)
	 box3.set_border_width(2)
	 box3.add(pixmapwid)
	 box3.add(label)
	 button.add(box3)
	 pixmapwid.show
	 label.show
	 box3.show
	 
	 !!separator.make
	 box1.pack_start(separator, False, True, 0)
	 separator.show

	 !!box2.make_with_aspect(False, 10)
	 box2.set_border_width(10)
	 box1.pack_start(box2, False, True, 0)
	 box2.show

	 !!button.make_with_label("close")
	 button.add_clicked_action(destroy_window, window)
	 box2.pack_start(button, True, True, 0)
	 button.set_flags(gtk_can_default)
	 button.grab_default
	 button.show
	 
	 window.show

      end -- make
feature {ANY} -- Queries
feature {ANY} -- Commands
feature {NONE} -- Private

   style : GTK_STYLE
   window : GTK_WINDOW

   folder_xpm : GDK_PIXMAP is 
      local 
	 icons : ICONS
      once
	 !!icons
	 !!Result.make_from_xpm_d(window.window, 
				  style.bg(gtk_state_normal), 
				  icons.folder_xpm_d)
      end

invariant
end -- CREATE_PIXMAP


