indexing
   description: "create progress bar"
   status: "You may be able to redistribute and/or modify this program.% 
          % See the README for details."
   copyright: "Copyright (C) 1999 Paul C. Janzen"
   author: "Paul C. Janzen"
   id: "$Id: create_progress_bar.e,v 1.5 1999/01/18 19:55:09 pcj Exp $"

class CREATE_PROGRESS_BAR
inherit 
   SIMPLE_TEST
   GTK_CONSTANTS
   GTK_COMMAND
creation
   make
feature -- Creation
   make is
      local 
	 button : GTK_BUTTON
	 vbox, vbox2 : GTK_VBOX
	 hbox : GTK_HBOX
	 checkbutton : GTK_CHECK_BUTTON
	 frame : GTK_FRAME
	 tab : GTK_TABLE
	 label : GTK_LABEL 
	 align : GTK_ALIGNMENT
      do
	 !!window.make
	 window.set_policy(False, True, True)
	 window.signal_connect("destroy",Current, destroy)
	 
	 window.set_title("GtkProgressBar")
	 window.set_border_width(10)
	 
	 !!vbox.make(False, 5)
	 vbox.set_border_width(10)
	 window.vbox.pack_start(vbox, False, True, 0)
	 
	 !!frame.make_with_label("Progress")
	 vbox.pack_start(frame, False, True, 0)
	 
	 !!vbox2.make(False, 5)
	 frame.add(vbox2)
	 !!align.make(0.5, 0.5, 0, 0)
	 vbox2.pack_start(align, False, False, 5)
	 
	 !!adj.make(0, 1, 300, 0, 0, 0)
	 adj.signal_connect("value_changed", Current, value_changed)
	 
	 !!pbar.make_with_adjustment(adj)
	 pbar.set_format_string("%%v from [%%l,%%u] (=%%p%%%%)")
	 align.add(pbar)
	 
	 !!timeout_command
	 !!timer.make(100, timeout_command, Current)
	 
	 !!align.make(0.5, 0.5, 0, 0)
	 vbox2.pack_start(align, False, False, 5)
	 
	 !!hbox.make(False, 5)
	 align.add(hbox)
	 !!label.make("Label updated by user :")
	 hbox.pack_start(label, False, True, 0)
	 !!label.make("")
	 hbox.pack_start(label, False, True, 0)

-- 	 !!frame.make_with_label("Options")
-- 	 vbox.pack_start(frame, False, True, 0)
	 
-- 	 !!vbox2.make(False, 5)
-- 	 frame.add(vbox2)
	 
-- 	 !!tab.make(7, 2, False) 
-- 	 vbox2.pack_start(tab, False, True, 0)

-- 	 !!label.make("Orientation")
-- 	 tab.attach(label, 0, 1, 0, 1, 
-- 		    gtk_expand and gtk_fill, gtk_expand and gtk_fill, 
-- 		    5, 5) 
-- 	 label.set_alignment(0, 0.5)

-- 	 !!hbox.make(False, 0)
-- 	 tab.attach(hbox, 1, 2, 0, 1, 
-- 		    gtk_expand and gtk_fill, 
-- 		    gtk_expand and gtk_fill, 
-- 		    5, 5)
-- 	 !!checkbutton.make_with_label("Show text")
-- 	 checkbutton.signal_connect("clicked", Current, toggle_show_text)
-- 	 tab.attach(checkbutton, 0, 1, 1, 2, 
-- 		    gtk_expand and gtk_fill, 
-- 		    gtk_expand and gtk_fill, 
-- 		    5,5)
-- 	 !!label.make("Format ")
-- 	 hbox.
	 !!button.make_with_label("close")
	 button.signal_connect("clicked", Current, destroy)
	 button.set_flags(gtk_can_default)
	 window.action_area.pack_start(button, True, True, 0)
	 button.grab_default

	 window.show_all
	 
      end -- make

feature {NONE} -- Private
   value_changed, timeout, toggle_show_text, destroy : INTEGER is unique
   
   execute ( data : ANY ) is 
      local
	 i : INTEGER_REF
      do
	 i ?= data 
	 if i.item = destroy then 
	    window.destroy
	    timer.remove
	 end
      end

   timeout_command : TIMEOUT_COMMAND
   timer : GTK_TIMEOUT
   window : GTK_DIALOG 

feature {TIMEOUT_COMMAND}

   adj : GTK_ADJUSTMENT
   pbar : GTK_PROGRESS_BAR

invariant
end 

