indexing
   description: "create reparent"
   status: "You may be able to redistribute and/or modify this program.% 
          % See the README for details."
   copyright: "Copyright (C) 1999 Paul C. Janzen"
   author: "Paul C. Janzen and Francois Pennaneach"
   id: "$Id: create_reparent.e,v 1.4 1999/01/18 19:55:09 pcj Exp $"

class CREATE_REPARENT
inherit
   SIMPLE_TEST
   GTK_CONSTANTS
creation make
feature -- Creation
   make is
      -- Creation and initialization
      local
	 window : GTK_WINDOW
	 box1, box2, box3 : GTK_BOX
	 frame : GTK_FRAME
	 button : GTK_BUTTON
	 label : GTK_LABEL
	 separator : GTK_HSEPARATOR
	 -- commands
	 destroy_window : DESTROY_WINDOW
	 reparent_label : REPARENT_LABEL
      do
	 !!destroy_window

	 !!window.make
	 window.add_action("destroy", destroy_window, window)
	 window.set_title("buttons")
	 window.set_border_width(0)
	 !GTK_VBOX!box1.make_with_aspect(False, 0)
	 window.add(box1)
	 box1.show

	 !GTK_HBOX!box2.make_with_aspect(False, 5)
	 box2.set_border_width(10)
	 box1.pack_start(box2, True, True, 0)
	 box2.show

	 !!label.make_with_label("Hello World")
	 !!reparent_label.make(label)

	 !!frame.make_with_label("Frame 1")
	 box2.pack_start(frame, True, True, 0)
	 frame.show

	 !GTK_VBOX!box3.make_with_aspect(False, 5)
	 box3.set_border_width(5)
	 frame.add(box3)
	 box3.show

	 !!button.make_with_label("switch")
	 button.add_clicked_action(reparent_label, box3)
	 button.set_user_data(label)
	 box3.pack_start(button, False, True, 0)
	 button.show

	 box3.pack_start(label, False, True, 0)
	 label.show

	 !!frame.make_with_label("Frame 2")
	 box2.pack_start(frame, True, True, 0)
	 frame.show

	 !GTK_VBOX!box3.make_with_aspect(False, 5)
	 box3.set_border_width(5)
	 frame.add(box3)
	 box3.show

	 !!button.make_with_label("switch")
	 button.add_clicked_action(reparent_label, box3)
	 button.set_user_data(label)
	 box3.pack_start(button, False, True, 0)
	 button.show

	 !!separator.make
	 box1.pack_start(separator, False, True, 0)
	 separator.show

	 !GTK_VBOX!box2.make_with_aspect(False, 10)
	 box2.set_border_width(10)
	 box1.pack_start(box2, False, True, 0)
	 box2.show

	 !!button.make_with_label("close")
	 button.add_clicked_action(destroy_window, window)
	 box2.pack_start(button, True, True, 0)
	 button.set_flags(gtk_can_default)
	 button.grab_default
	 button.show

	 if not window.visible then
	    window.show
	 else
	    window.destroy
	 end -- if
      end -- make
feature {ANY} -- Queries
feature {ANY} -- Commands
feature {NONE} -- Private
invariant
end -- CREATE_REPARENT

